emacs-goodies-el (36.4) unstable; urgency=medium

  * Move to salsa.debian.org; update Vcs-Browser and Vcs-Git in
    debian/control

 -- Julian Gilbey <jdg@debian.org>  Thu, 22 Mar 2018 16:37:08 +0000

emacs-goodies-el (36.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * emacs-goodies-el:
  - Bug fix: "fails to upgrade lenny -> squeeze -> wheezy -> jessie",
    thanks to Andreas Beckmann (Closes: #851605).  Skip byte-compilation
    for minibuffer-complete-cycle.el on emacs22.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Jan 2017 22:15:49 -0700

emacs-goodies-el (36.3) unstable; urgency=high

  * emacs-goodies-el:
  - Bug fix: "fails to upgrade/install", thanks to Brent S. Elmer
    (Closes: #845216). Skip byte-compilation for minibuffer-complete-cycle.el on
    emacs23.

 -- Peter S Galbraith <psg@debian.org>  Mon, 21 Nov 2016 15:20:03 -0500

emacs-goodies-el (36.2) unstable; urgency=medium

  * Bug fix: "partially incompatible with xemacs21", thanks to Aaron
    M. Ucko (Closes: #844176).

 -- Peter S Galbraith <psg@debian.org>  Mon, 14 Nov 2016 10:04:16 -0500

emacs-goodies-el (36.1) unstable; urgency=medium

  * dpkg-dev-el:
  - debian-changelog-mode.el tweak bug fix #803767. Thanks to
    Vincent Bernat <bernat@debian.org> fo the heads up.
  * emacs-goodies-el:
  - tc.el bug fix: "tc.el (and other packages perhaps): save-excursion has
    changed in emacs25 to save-mark-and-excursion", thanks to
    Gijs Hillenius (Closes: #841059).

 -- Peter S Galbraith <psg@debian.org>  Tue, 08 Nov 2016 09:25:46 -0500

emacs-goodies-el (36.0) unstable; urgency=medium  

  * Bug fix: "site-start files don't work", thanks to Samuel Bronson
    (Closes: #751201). Added "emacsen-common (>= 2.0.8)" to all packages.
  * emacs-goodies-el:
  - markdown.el removed; use elpa-markdown-mode instead.
    (Closes: #644903, #656868, #810035)
  - dict.el removed; use dictionary-el instead.
    (Closes: #840763, #611919, #718028)
  - apache.el updated to 2015-08-23 version 2.0
  - minibuffer-complete-cycle.el updated to 1.25.20130814
  - quack.el updated to 0.48
  - minibuf-electric.el bug fix: "[patch] fix minibuf-electric.el for
    emacs24", thanks to Karl Hegbloom (Closes: #803728).
  - rfcview.el bug fix: "rfcview.el does not obey fill-column", thanks to
    frozencemetery (Closes: #761139).
  * Bug fix: "cyclebuffer busted", thanks to jidanni@jidanni.org;
    (Closes: #613063).
  * dpkg-dev-el:
  - debian-changelog-mode.el bug fix: "don't rely on external date
    (LP#1197870)", thanks to era eriksson and Pierre Carrier
    (Closes: #803767).
  - debian-changelog-mode.el bug fix: "highlight backports", thanks to
    Kumar Appaiah (Closes: #708317).

 -- Peter S Galbraith <psg@debian.org>  Sun, 06 Nov 2016 14:47:29 -0500

emacs-goodies-el (35.13) unstable; urgency=medium

  * debian-el:
  - Bug fix: "Missing ; in debian-bug.el first line header", thanks
    to Antoine R. Dumont (Closes: #842566).
  - Bug fix: "apt-sources.el duplicate auto-mode-alist sources.list",
    thanks to Kevin Ryde (Closes: #712835).
  * Bug fix: "apt-sources.el: Distribution names are out of date", thanks
    to Memnon Anon (Closes: #705281).
  * Bug fix: "should depend on xz-utils", thanks to Sven Joachim
    (Closes: #638202).
  * Bug fix: "gnus-BTS.el search for bugs against wrong url", thanks to
    Marco Bardelli (Closes: #756208).
  * Bug fix: "apt-utils.el should use word-at-point for default value for
    package", thanks to Remi Vanicat (Closes: #613776).
  * Bug fix: "please add all BTS commands (e.g. affects and usertags)",
    thanks to Luca Capello (Closes: #643888).
  * Bug fix: "improve handling of {old-, }stable-proposed-updates", thanks
    to Guido Gunther (Closes: #818010).
  * emacs-goodies-el:
  - maplev.el update to 2.27
  - button-lock.el: new file needed by maplev.el

 -- Peter S Galbraith <psg@debian.org>  Sun, 06 Nov 2016 10:28:29 -0500

emacs-goodies-el (35.12) unstable; urgency=medium

  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #754007).

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jul 2014 17:47:33 -0400

emacs-goodies-el (35.11) unstable; urgency=medium

  * Complete dpatch -> quilt transition from 31.7 by removing dpatch code
    from debian/patch/* files
  * Quieten lintian warnings by removing executable bits from almost all
    files
  * Include make-orig.sh in source distribution (cvs-buildpackage does
    this anyway)
  * vm-bonus-el package removed - it's ancient and barely used anymore
  * Remove gnus-bonus-el from the source package (the binary package was
    removed in 35.6).  This closes the bugs against it, even though they
    have not been fixed (Closes: #570276, #448441, #236919, #597035,
    #609698, #648607)
  * Fix piuparts error with a temporary patch, until emacsen-common (or
    whatever the true source of the bug is) is fixed. (Closes: #737202)
  * Add emacsen compat files (in line with new policy and current
    debhelper behaviour)
  * Rewrite rules to use nice debhelper stuff; have explicity quilt
    build-dependency
  * Rewrite copyright files to use DEP-5/copyright-format-1.0
  * Update Standards-Version

 -- Julian Gilbey <jdg@debian.org>  Mon, 03 Feb 2014 00:02:53 +0000

emacs-goodies-el (35.10) unstable; urgency=medium

  * Bug fix: "M-x debian-bug does not run bug script if it is a symlink",
    thanks to Sven Joachim for the patch and sorry for the long delay
    (Closes: #679390)

 -- Peter S Galbraith <psg@debian.org>  Thu, 30 Jan 2014 08:04:10 -0500

emacs-goodies-el (35.9) unstable; urgency=medium

  * dpkg-dev-el
  - debian-changelog-mode.el Bug fix: "default urgency to medium", thanks
    to Jonathan Wiltshire (Closes: #731105).
  * Bug fix: "fails to upgrade lenny -&gt; squeeze -&gt; wheezy -&gt;
    jessie", thanks to Andreas Beckmann (Closes: #730066, #730069).  Skip
    byte-compilation of markdown-mode.el for obsolete emacs22.  I am
    surprsied that the lack of handling of such old versions gets a
    package kicked out of testing!

 -- Peter S Galbraith <psg@debian.org>  Mon, 30 Dec 2013 13:46:55 -0500

emacs-goodies-el (35.8) unstable; urgency=low

  * vm-bonus-el:
  - Bug fix: "fails to install: ERROR: install script from vm-bonus-el
    package failed", thanks to Andreas Beckmann (Closes: #706746).  Drop
    the addition of /usr/share/emacs/site-lisp/vm to the compilation
    load-path.

 -- Peter S Galbraith <psg@debian.org>  Fri, 18 Oct 2013 20:01:49 -0400

emacs-goodies-el (35.7) unstable; urgency=low

  * vm-bonus-el:
  - Bug fix: "fails to install: ERROR: install script from vm-bonus-el
    package failed", thanks to Andreas Beckmann (Closes: #706746).  Can't
    builf vm-bonus-el using "-q -no-site-file" because we need to load vm
    correctly.

 -- Peter S Galbraith <psg@debian.org>  Thu, 17 Oct 2013 12:33:18 -0400

emacs-goodies-el (35.6) unstable; urgency=low

  * emacs-goodies-el:
  - Update to latest available version:
    ascii.el
    folding.el
    matlab.el
    minibuffer-complete-cycle.el (not updated; compilation errors)
    rfcview.el
  * vm-bonus-el  
  - Bug fix: "fails to install: ERROR: install script from vm-bonus-el
    package failed", thanks to Andreas Beckmann (Closes: #706746, 709962).
  * gnus-bonus-el binary package removed.  I don't use it and several
    people have offered to take it up in the past and never have.

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Oct 2013 15:23:33 -0400

emacs-goodies-el (35.5) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "quack.el is out of date, upgrade to latest.", thanks to
    Mehul Sanghvi (Closes: #720890).
  - Bug fix: "tlc.el auto-mode-alist dot form", thanks to Kevin Ryde
    (Closes: #699389).
  - Bug fix: "please update markdown-mode", thanks to
    yoh@onerussian.com</a>; (Closes: #695299).
  * dpkg-dev-el:
  - Bug fix: "Unable to add field "DM-Upload-Allowed", thanks to Kan-Ru
    Chen (Closes: #652424).

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Oct 2013 13:43:58 -0400

emacs-goodies-el (35.4) unstable; urgency=low

  * Bug fix: emacsen-install.template: "fails to install due to heredoc
    failing; lazy evaluation and parentheses the culprit?", thanks to
    Daniel Dickinson (Closes: #701952).

 -- Peter S Galbraith <psg@debian.org>  Sun, 03 Mar 2013 12:28:13 -0500

emacs-goodies-el (35.3) unstable; urgency=low

  * Bug fix: "egocentric.el and emacs24: "make-local-hook" is obsolete",
    thanks to Paul. Changed in ascii.el, egocentric.el, maplev.el via
    quilt patch 56_make_local_hook.diff. (Closes: #692750)
  * Bug fix: "wrong "Vcs-Cvs"; field value => debcheckout doesn't", thanks
    to Samuel Bronson.  Edited debian/control as proposed (Closes: #691987).
  * Bug fix: "Improve muttrc auto-mode pattern", thanks to Rafael
    Laboissiere. Patch applied to emacs-goodies-el.el (Closes: #645591).
  * Bug fix: "tlc mode's auto-mode-alist pattern should end \\'; not $",
    thanks to Reuben Thomas. Fixed without a quilt patch since I had
    already edited that file (Closes: #616166).

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Jan 2013 13:43:51 -0500

emacs-goodies-el (35.2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer create /root/.gnupg during installation of gnus-bonus-el.
    This is achieved by binding epg-gpg-home-directory to a temporary
    directory during bytecode compilation (implementation in
    debian/emacsen-install.template). (Closes: #689807)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Oct 2012 11:30:47 +0200

emacs-goodies-el (35.2) unstable; urgency=low

  [ Roland Mas ]
  * dpkg-dev-el:
  - debian-changelog-mode.el: Allow customization of allowed distributions
    (Closes: #645303).

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 Oct 2011 13:30:01 -0400

emacs-goodies-el (35.1) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "cwebm still included in package description", thanks to era
    eriksson (Closes: #541348).
  * Bug fix: "wdired still mentioned in package description", thanks to
    Sven Joachim (Closes: #598888).
  - ff-paths.el: "Typo in ff-paths.el", thanks to Reuben Thomas (Closes:
    #609169).
  - markdown-mode.el: "New upstream version of markdown-mode.el
    available", thanks to Jason Blevins (Closes: #637709).
  - pod-mode.el: Skip byte-compilation for emacs21, thanks to Bob Proulx
    (Closes: #635667).
  * debian-el:
  - deb-view.el: "deb-view does not support xz-compressed debs", thanks to
    Sven Joachim (Closes: #637579).
  * dpkg-dev-el:
  - debian-control-mode.el: "please Add support for Multi-Arch field in
    debian-control-mode.el", thanks to Andreas Rottmann (Closes: #634162).

 -- Peter S Galbraith <psg@debian.org>  Tue, 16 Aug 2011 23:21:02 -0400

emacs-goodies-el (35.0) unstable; urgency=low

  * emacs-goodies-el:
    New files:
  - eproject.el:  assign files to projects, programatically.
    Thanks to Florian Ragwitz (Closes: #585044).
  * dpkg-dev-el:
    - debian-control-mode.el: Added "XS-Python-Version" to
      debian-control-source-fields, thanks to Cedric Delfosse (Closes: #591697)

 -- Peter S Galbraith <psg@debian.org>  Sat, 25 Jun 2011 15:47:16 -0400

emacs-goodies-el (34.2) unstable; urgency=low

  * emacs-goodies-el:
  - session.el updated to V2.3, thanks to Christoph Wedler.
  - graphviz-dot-mode.el updated to V0.3.6, thanks to Pander.
  - home-end.el, new upstream version. "home-end-home and home-end-end get
    confused inside keyboard macros", thanks to Dima Kogan
    (Closes: #614327).
  - maplev.texi: Updated from http://www.mapleprimes.com/files/84_maplev.zip
    and added (without patching) "@dircategory Emacs", thanks to
    Christophe Jarry (Closes: #609677).
  * debian-el:
  - apt-utils-el: Bug fix: "Apt-util.el doesn't know about
    Description-fr", thanks to Remi Vanicat (Closes: #613778).
    Patch applied without consulting Matt; Hope that's okay!

 -- Peter S Galbraith <psg@debian.org>  Fri, 24 Jun 2011 12:37:31 -0400

emacs-goodies-el (34.1) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.0
  * gnus-bonus-el:
    - No longer depend on recent version of Emacs or gnus.
      Bug fix: "please allow emacs-snapshot as an alternative emacs",
      thanks to RISKO Gergely (Closes: #587321).
  * emacs-goodies-el:
    - perldoc.el: Complete for Perl core documentation.
      Thanks to Florian Ragwitz <rafl@debian.org> for the bug report.
      (Closes: #589785)
    - pod-mode.el: New upstream release available 1.03. Thanks to
      Florian Ragwitz for the bug report (Closes: #589434).
    - tail.el: "tail.el restart timer on new output", thanks to Kevin Ryde
      (Closes: #584598).
  * dpkg-dev-el:
    - debian-copyright.el: Fix and simplify auto-mode-alist", thanks to
      Kevin Ryde (Closes: #587922).
    - debian-changelog.el: Simplify auto-mode-alist, thanks to Kevin Ryde
      (Closes: #587924)
    - dpkg-dev-el.el: Fix modify-coding-system-alist entry for utf-8,
      thanks to Kevin Ryde (Closes: #587921)

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 Jul 2010 11:50:25 -0400

emacs-goodies-el (34.0) unstable; urgency=low

  [ Peter S Galbraith ]
  * emacs-goodies-el:
    New files:
  - upstart-mode.el: major-mode to edit .upstart files.
    Thanks to Stig Sandbeck Mathisen (Closes: #586321).
  - graphviz-dot-mode.el: Mode for the dot-language used by graphviz (att).
    Thanks to Riccardo Vestrini (Closes: #428601).

  [ Matt Hodges ]
  * debian-el:
  - apt-utils-el: Bug fix: "When returning to the package list, it's not
    sorted anymore", thanks to Remi Vanicat (Closes: #568419).

 -- Peter S Galbraith <psg@debian.org>  Sun, 27 Jun 2010 22:05:01 -0400

emacs-goodies-el (33.6) unstable; urgency=low

  * debian-el:
  - debian-bug.el: Updated `debian-bug-pseudo-packages'.
  * emacs-goodies-el:
  - pod-mode.el: New upstream version 1.01, thanks to Florian Ragwitz
    (Closes: #585044).
  - emacs-goodies-el.texi: Improvement to info docs of
    auto-fill-inhibit.el, thanks to Kevin Ryde for the patch (Closes: #584970).

 -- Peter S Galbraith <psg@debian.org>  Mon, 21 Jun 2010 19:09:33 -0400

emacs-goodies-el (33.5) unstable; urgency=low

  * debian-el:
  - debian-bug.el:
    Support "Bugs:" control field for unofficial packages".  
    Thanks to Håkon Stordahl <haastord@online.no> for the massive patch!
    (Closes: #222392).
  * dpkg-dev-el:
  - debian-changelog-mode.el
    Bug fix: "debian-changelog-date-utc-flag custom group", thanks to
    Kevin Ryde (Closes: #580818).  Fixed typo.

 -- Peter S Galbraith <psg@debian.org>  Tue, 11 May 2010 21:46:40 -0400

emacs-goodies-el (33.4) unstable; urgency=low

  * emacs-goodies-el:
  - bm.el: New upstream version 1.43, thanks to Maindoor
    <sanjeevfiles@yahoo.com>
  - color-theme.el:
    Bug fix: "color-theme: replace-in-string breaks other packages",
    thanks to intrigeri@boum.org; (Closes: #580213).  Applied patch from
    upstream CVS directly without a quilt patch because future upstream
    version won't need such a patch.
  * debian-el:
  - debian-bug.el:
    Bug fix: "M-x debian-bug no longer runs bug scripts, generates useless
     reports", thanks to Sven Joachim for the report (Closes: #579861).
    Bug fix: "please, include the output of /usr/shar/bug/...", thanks to
     Jiří Paleček for the request and to Håkon Stordahl <haastord@online.no>
     for the massive patch ! (Closes: #422506).
    This should also fix "bad interaction with reportbug", thanks to Johan
     Kullstam for reporting, and please reopen the bug if not fixed
     (Closes: #541729).
  * dpkg-dev-el:
  - debian-control-mode.el: Bug fix: "Breaks:" fields in control files is
     not recognized", thanks to Hilko Bengen (Closes: #580501).

 -- Peter S Galbraith <psg@debian.org>  Fri, 07 May 2010 18:24:55 -0400

emacs-goodies-el (33.3) unstable; urgency=low

  * emacs-goodies-el:
    Bug fix: "color-theme doesn't initialize correctly", thanks to Daniele
    Giglio (Closes: #578619). Fixed documentation in Info.
  * debian-el:
  - debian-bug.el: Bug fix: "stty fails with 'inappropriate ioctl for
    device'", thanks to Sanjoy Mahajan for the report and to H. Stordahl
    for the solution that has added to reportbug: As of version 4.12
    reportbug has a --no-bug-script option (Closes: #502317).

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 Apr 2010 17:44:35 -0400

emacs-goodies-el (33.2) unstable; urgency=low

  * emacs-goodies-el:
  - pp-c-l.eL: Skip installing for XEmacs, thanks to Kevin Ryde
    (Closes: #577596).
  * dpkg-dev-el:
  - debian-changelog-mode.el: Invoke `debian-bug-build-bug-menu' with
    SOURCE arg set to t.  Needs debian-el 33.2
  * debian-el:
  - debian-bug.el: `debian-bug-build-bug-menu' now takes optional SOURCE
    argument. Fixes "Empty bug list", thanks to Remi Vanicat (Closes: #579394).

 -- Peter S Galbraith <psg@debian.org>  Tue, 27 Apr 2010 23:39:40 -0400

emacs-goodies-el (33.1) unstable; urgency=low

  * emacs-goodies-el:
    V33.0 got away without the _actual_ dirvals.el to dir-locals.el
    transition actually done because of a CVS mistake.

 -- Peter S Galbraith <psg@debian.org>  Fri, 09 Apr 2010 22:07:16 -0400

emacs-goodies-el (33.0) unstable; urgency=low

  * emacs-goodies-el:
    New files:
   - pp-c-l.el --- Display Control-l characters in a pretty way.
     Thanks to Andrey Paramonov for the suggestion (Closes: #524081).
   - dir-locals.el -- Local variables for a directory tree
    Removed file:
   - dirvals.el, replaced with dir-locals.el. Thanks to Dave Love
     (Closes: #377676).
    New upstream version:
   - egocentric.el.  Patch from Ubuntun bug #109132 applied for
     customization mismatches.
   - xrdb-mode.el V3.0.  Bug fix: "xrdb-mode docstring show keymap",
     thanks to Kevin Ryde (Closes: #559514).  Apologies to Barry Warsaw
     since this version was ready last December.

 -- Peter S Galbraith <psg@debian.org>  Fri, 09 Apr 2010 21:33:48 -0400

emacs-goodies-el (32.0) unstable; urgency=low

  * emacs-goodies-el:
    New files:
   - miniedit.el --- Enhanced editing for minibuffer fields.
     Thanks to Joerg Jaspert for the suggestion (Closes: #514519).
   - bm.el --- Visible bookmarks in buffers.
     Thanks to Boris Daix for the suggestion (Closes: #353982).
    Bug fixes:
   - ctypes.el: Added a require for cc-mode in order to use its font-lock
     faces.  Should close Unbuntu bug #162954.
   - color-theme_seldefcustom.el: New file to hold `color-theme' selection
     customization to avoid loading color-theme on startup even for those
     who don't use it.

 -- Peter S Galbraith <psg@debian.org>  Wed, 07 Apr 2010 14:14:23 -0400

emacs-goodies-el (31.8) unstable; urgency=low

  * emacs-goodies-el:
  - map-lines.el: New upstream version by new maintainer Paul Hobbs.
  - perldoc.el: New upstream version by Ben Voui, fixes "perldoc.el in
    buffer with non-existent current directory", thanks to Kevin Ryde
    (Closes: #574650).
  - color-theme: "Please update to color-theme 6.6", thanks to Douglas Calvert
    (Closes: #573059).  Now comes in two files: color-theme.el and
    color-theme-library.el, which was added to the package.  Upstream uses
    a subdirectory for it, but I opted not-to for simplicity.  I did have
    to patch it a bit to look for "color-theme-*" files instead of
    "color-theme*" files for that reason.

 -- Peter S Galbraith <psg@debian.org>  Tue, 06 Apr 2010 16:59:33 -0400

emacs-goodies-el (31.7) unstable; urgency=low

  * Migrate source patching from dpatch to quilt.
  * Migrate to source package format "3.0 (native)".
  * emacs-goodies-el:
  - cyclebuffer.el: removed since users can now do that using "C-x C-left"
    and "C-x C-right", thanks to jidanni@jidanni.org (Closes: #476497).
  - maplines.el: New upstream version by new maintainer Paul Hobbs.

 -- Peter S Galbraith <psg@debian.org>  Mon, 05 Apr 2010 16:01:56 -0400

emacs-goodies-el (31.6) unstable; urgency=low

  [ Peter S Galbraith ]
  * emacs-goodies-el: The following files were removed because they are
    included in Emacs-23:
     cua.el
     cfengine.el
     ibuffer.el
     ido.el 
     newsticker.el 
     nuke-trailing-whitespace.el
     table.el
     wdired.el
  - perldoc.el: New upstream version by Ben Voui, fixes "perldoc.el
    incomplete module cache if interrupted" reported by Kevin Ryde
    (Closes: #575455).

  [ Junichi Uekawa ]
  * dpkg-dev-el:
  - readme-debian.el: Bug fix: "README.Debian date wrong in XEmacs",
    thanks to Russ Allbery (Closes: #364234).

 -- Peter S Galbraith <psg@debian.org>  Thu, 01 Apr 2010 15:58:42 -0400

emacs-goodies-el (31.5) unstable; urgency=low

  * emacs-goodies-el:
  - lcomp.el: New upstream version (Closes: #551827).
  - emacs-goodies-el.el :Replace $ by \\' in auto-mode-alist entries,
    thanks to Kevin Ryde (Closes: #570293).
  * dpkg-dev-el:
  - debian-bts-control.el: Bug fix: "emacs-bts-control command should be
    autoloaded", thanks to Sven Joachim (Closes: #565934).

 -- Peter S Galbraith <psg@debian.org>  Mon, 22 Feb 2010 20:53:01 -0500

emacs-goodies-el (31.4) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "xemacs21 empty emacs-goodies-loaddefs.el", thanks to Kevin
    Ryde (Closes: #563853).

 -- Peter S Galbraith <psg@debian.org>  Wed, 06 Jan 2010 22:17:10 -0500

emacs-goodies-el (31.3) unstable; urgency=low

  * emacs-goodies-el:
  - maplev.texi: "the maplev info file contain incorect
    START-INFO-DIR-ENTRY entry", thanks to R. Vanicat (Closes: #559557).
    I had two fixes; one on matlev.texi in CVS and one as a dpatch.
  * debian-el:
  - debian-bug.el: Emacs BTS moved to debbugs.gnu.org 
  * dpkg-dev-el:
  - debian-bts-control.el: Emacs BTS moved to debbugs.gnu.org
    Thanks to Sven Joachim (Closes: #561561).
  * Debian native version number: Package tar ball now includes debian
    directory, previously distributed in the diff.gz file.  This allows
    the copyright and patches to be distributed together as the package is
    now repackaged and distributed by fedora.

 -- Peter S Galbraith <psg@debian.org>  Sat, 19 Dec 2009 09:22:00 -0500

emacs-goodies-el (31.2-1) unstable; urgency=low

  * debian-el:
  - apt-sources.el: Create syntax table and add comments.
    Thanks to Trent W. Buck for the report (Closes: #469971).
  * emacs-goodies-el:
  - emacs-goodies-el.texi: specify @documentencoding ISO-8859-1  
  - cua.el: don't install for emacs22, emacs23 and emacs-snapshot
  - matlab.el caused Objective-C files to be visited in matlab-mode,
    thanks to Yavor Doganov for the report (Closes: #557932).  Created
    `matlab-auto-mode' customization variable.

 -- Peter S Galbraith <psg@debian.org>  Wed, 02 Dec 2009 22:47:21 -0500

emacs-goodies-el (31.1-1) unstable; urgency=low

  * dpkg-dev-el:
  - debian-bts-control.el:
   - Bug fix: "Symbol's function definition is void: conact",
     thanks to Sven Joachim (Closes: #557408).
   - Bug fix: "CC's debian-bts-emailaddress, literally",
     thanks to Sven Joachim (Closes: #557412).

 -- Peter S Galbraith <psg@debian.org>  Sun, 22 Nov 2009 10:54:31 -0500

emacs-goodies-el (31.0-1) unstable; urgency=low

  * vm-bonus-el
  - package re-activated.
  - vm-bogofilter.el: New file. Thanks to Patrice Karatchentzeff
    (Closes: #353827).
  * dpkg-dev-el:
  - debian-changelog-mode.el: Updated URL for "Best practices".

 -- Peter S Galbraith <psg@debian.org>  Sat, 14 Nov 2009 17:18:49 -0500

emacs-goodies-el (30.11-1) unstable; urgency=low

  * Added debian/README.source
  * Fixed rules file to use binary-indep target.
  * Various lintian fixes.
  * Added COPYING-GPL-v2 COPYING-GPL-v3 to tar ball as requested by
    Fedora, who now distribute emacs-goodies-el.
  * debian-el:
  - debian-bug.el: Add `emacs-bug-web-bug', `emacs-bug-get-bug-as-email':
    new commands to interface with Emacs BTS
  * dpkg-dev-el:
  - debian-bts-control.el: Add command `emacs-bts-control': new command to
    interface with Emacs BTS.

 -- Peter S Galbraith <psg@debian.org>  Thu, 12 Nov 2009 16:27:41 -0500

emacs-goodies-el (30.10-1) unstable; urgency=low

  * debian-el:
  - deb-view.el: "deb-view.el fails on own debian-el_30.9-1_all.deb",
    thanks to Kevin Ryde (Closes: #554039).
  * vm-bonus-el
    Add a copyright file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 03 Nov 2009 17:00:50 -0500

emacs-goodies-el (30.9-1) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "'M-x customize-group markdown' doesn't load
    markdown-mode.el", thanks to Kevin Ryde (Closes: #551014).  Edited
    emacs-goodies-custom.el as suggested by Kevin.
  * dpkg-dev-el:
  - debian-changelog-mode.el: debian-changelog-close-bug does not work
    properly under XEmacs 21.4.21 because the arguments passed to
    replace-in-string in the inline function debian-chagelog--rris are in
    the wrong order (Closes: #476271).  (I apologise for losing track of
    this bug for so long).
  * debian-el:
  - deb-view.el: Added support for data.tar.bz2 deb files (Closes: #457094).
  - Changed dependency on binutils for bzip2, file and gzip.
  
 -- Peter S Galbraith <psg@debian.org>  Sun, 25 Oct 2009 12:11:31 -0400

emacs-goodies-el (30.8-1) unstable; urgency=low

  * debian-el
  - Bug fix: "never cleaned up 50debian-el.el", thanks to
    jidanni@jidanni.org; (Closes: #487175).  Created debian-el.postinst to
    delete the old file if found.
  - Bug fix: "Outputs wrongly utf-8 chars if the buffer is called
    control", thanks to Marco Túlio Gontijo e Silva (Closes: #526374).
    Edited deb-view-control-coding to (1) return 'undecided instead or nil
    when there's no match, and (2) call deb-view-control-coding only on
    exact match of "control" filename.
  * Added "${misc:Depends}" Depends as per policy to all binary packages.
  * Added "dpkg (>= 1.15.4) | install-info" Depends as per policy to
    emacs-goodies-el and debian-el as they install info file.

 -- Peter S Galbraith <psg@debian.org>  Sun, 11 Oct 2009 16:17:40 -0400

emacs-goodies-el (30.7-2) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "dpkg install error on 30.7-1", thanks to Kevin Ryde
    (Closes: #550421).  New emacs-goodies-loaddefs.el scheme failed with
    emacs21 because it doesn't except an empty file.

 -- Peter S Galbraith <psg@debian.org>  Sat, 10 Oct 2009 13:03:47 -0400

emacs-goodies-el (30.7-1) unstable; urgency=low

  * emacs-goodies-el:
  - Bug fix: "dpkg: error processing emacs-goodies-el (--configure):",
    thanks to John A Martin (Closes: #550225). The autoloads file
    emacs-goodies-loaddefs.el used to be pre-generated using the latest
    Emacs flavour, and XEmacs found code that it didn't understand.  My
    fix is to build it at install time for each installed Emacs flavour.

 -- Peter S Galbraith <psg@debian.org>  Thu, 08 Oct 2009 17:35:30 -0400

emacs-goodies-el (30.6-1) unstable; urgency=low

  * emacs-goodies-el:
   - dirvars.el: Updated to 1.3 (by Benjamin Rutt)
   - folding.el: Updated to 2009.0220.1404
   - highlight-completion.el: Updated to 0.08
   - ibuffer.el: Updated to 2.6.1
   - maplev.el : Updated to 2.155
   - matlab.el: Updated to 3.3.0
   - nuke-trailing-whitespace.el: Updated to CVS 1.11
   - rfc-view.el: Updated to 0.12
   - shell-command.el: Updated to CVS 1.38
   - show-wspace.el: Updated to 282
   - silly-mail.el updated.
   - wdired.el: Updated to1.9.2pre3
   - home-end.el updated.
   - markdown-mode.el: Updated to 1.7, thanks to Jason Blevins
     (Closes: #549208).
   - Fix typos in control file, thanks to Reuben Thomas
     (Closes: #549917, #549918).
   - Improved summary of session.el for package description, thanks to
     Reuben Thomas (Closes: #549924).
   - Move nuke-trailing-whitespace to superseded category, thanks to
     Reuben Thomas (Closes: #549923)

 -- Peter S Galbraith <psg@debian.org>  Wed, 07 Oct 2009 17:17:59 -0400

emacs-goodies-el (30.5-1) unstable; urgency=low

  * emacs-goodies-el:
   - perldoc.el: Updated to 1.7
   - htmlize.el: Updated to lastest upstream version.  Bug fix:
     "htmlize-region complains about Invalid face", thanks to Eric
      Warmenhoven (Closes: #544593).
   - align-string.el: Updated to lastest upstream version.
   - apache-mode.el: Updated to lastest upstream version.
   - ascii.el: Updated to 2.2.1
   - boxquote.el: Updated to 1.23
   - browse-kill-ring.el: Updated to (unofficial?) 1.3a, which includes 
     50_browse-kill-ring_bug225082.dpatch, now removed.  
     However 50_browse-kill-ring_bug224751.dpatch was not applied upstream,
     so is still included in Debian.
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 03 Sep 2009 10:39:10 -0400

emacs-goodies-el (30.4-1) unstable; urgency=low

  * debian-el:
   - deb-view.el: Bug fix: "undo limit vs. .deb", thanks to Dan Jacobson
     for reporting and to Sven Joachim for the patch.  Apologies for
     forgetting about it for so long (Closes: #388637).
   - debian.el: Bug fix: "deb-view-control-coding assumes buffer-file-name
     is non-nil", thanks to Sven Joachim for the report and the patch.
     Again, apologies ! (Closes: #523469).
  * emacs-goodies-el:
   - perldoc.el: Fixed "allow uniquely-named buffers" and "add completion
     for modules", thanks to new "upstream" intrigeri@boum.org;
     (Closes: #504186, #504230).
  * debian/control: Bug fix: "Incorrect Vcs-Browser URL", thanks to
     jamessan@debian.org; (Closes: #528295).
     Bug fix: "gnus-bonus-el needs to allow emacs23 in dependency", thanks
     to Russ Allbery (Closes: #541361).

 -- Peter S Galbraith <psg@debian.org>  Wed, 02 Sep 2009 17:05:19 -0400

emacs-goodies-el (30.3-1) unstable; urgency=low

  [ Daniel Moerner ]
  * Change references in all *-loaddefs.make files to call emacs rather
    than emacs21 as emacs21 is scheduled for removal from unstable.

  [ Peter S Galbraith ]
  * Update for emacs23
    - Bug fix: "emacs-goodies-el's ido takes precedence over emacs23's",
      thanks to Trent W. Buck (Closes: #539853).
    - Bug fix: "please update for emacs23", thanks to Sven Joachim
      (Closes: #539768).

 -- Peter S Galbraith <psg@debian.org>  Tue, 04 Aug 2009 10:15:33 -0400

emacs-goodies-el (30.2-1) unstable; urgency=low

  * emacs-goodies-el:
    - quack.el: Bug fix: "quack overrides emacs defaults, should probably
      be optional (aggressive)", thanks to Sami Liedes (Closes: #536154).

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 17:02:14 -0400

emacs-goodies-el (30.1-1) unstable; urgency=low

  [ Daniel Moerner ]
  * emacs-goodies-el:
    - quack.el: updated to version 0.37, autoload patch
      refreshed. (Closes: #530703)  
  * Bug fix: Remove useless co from Vcs-Cvs field. (Closes: #530702)
  
  [ Peter S Galbraith ]
  * emacs-goodies-el:
    - "please add info-dir-section to your info files", thanks to
      Norbert Preining (Closes: #528868).
    - muttrc-mode.el: Files updated by Kumar Appaiah (Closes: #451477).

 -- Peter S Galbraith <psg@debian.org>  Thu, 09 Jul 2009 15:30:33 -0400

emacs-goodies-el (30.0-1) unstable; urgency=low

  * emacs-goodies-el:
    - pod-mode.el: updated to V0.502, thanks to Kevin Ryde
      (Closes: #499473).
    - emacs-goodies-loaddefs.el: rebuilt to remove cwebm.el autoloads
      (Bug #541348 fixed here but existed since 28.0-1).
    New file:
    - quack.el: Added file (version 0.34), integration contributed by
      Daniel Moerner <dmoerner@gmail.com>, (Closes: #509486)
  * debian-el:
    - debian-bug.el: "List of pseudo-packages not up to date".
      Thanks to Tommi Vainikainen (Closes: #526496).
    - debian-bug.el: "[PATCH] using the "maintainer mbox" instead of "mbox
      folder". Thanks to Evgeny M. Zubok (Closes: #521571).
    - debian-bug.el: "incomplete Bugs menu again", thanks to A Mennucc
      (Closes: #524043).

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 May 2009 21:36:06 -0400

emacs-goodies-el (29.5-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el:
      Bug fix: Adapted patch from Håkon Stordahl to quote bug descriptions
      when building the bug menu. (Closes: #489786).
      Bug fix: Applied patch from Håkon Stordahl <hakon@stordahl.org>
      for garbled Help buffer (Closes: #502426).      
    - apt-utils.el:
      Fix help text error, thanks to Jens Thiele (Closes: #459958)
    - debian-el.el:
      Add code from Kevin Ryde to set deb-view control file coding system
      (Closes: #484027)
  * dpkg-dev-el:
    - dpkg-dev-el.el:
      Moved some stuff in from 50dpkg-dev-el.el.
      Added README.Source to auto-mode-alist, thanks to Noah Slater
      (Closes: #490292).
    - debian-control-mode.el
      Applied patch from Morten Kjeldgaard changing Dm-Upload-Allowed to
      DM-Upload-Allowed (Closes: #508748).
    - debian-bts-control.el
      Applied patch from Luca Capello <luca@pca.it> adding
      `debian-bts-control-cc-or-bcc' (Closes: #392494)
    - debian-changelog-mode.el
      Added patch from Jari Aalto to finalize date in UTC (User
      configurable) (Closes: #503700)
  * vm-bonus-el
    - This is now a dummy package since u-vm-color.el is now bundled and
      maintained with VM.  Thanks to Sven Joachim (Closes: #510945).

 -- Peter S Galbraith <psg@debian.org>  Mon, 23 Feb 2009 20:11:51 +0000

emacs-goodies-el (29.4-1) unstable; urgency=high

  * debian-el:
    - debian-bug.el:
      Bug fix: "Bug submenus have vanished", thanks to Bill Wohler for the
      report and to Camm Maguire for an initial patch (Closes: #463053).
      This _should_ go in lenny; I have only changed code that was currently
      broken under the new Debian bug web page format.
  * emacs-goodies-el:
    - markdown-mode.el: Thanks to Jason Blevins for the new upstream version
      1.6. It fixes "blockquote-region only works if the region was selected
      with the mouse" submitted by Daniel Burrows (Closes: #456592).

 -- Peter S Galbraith <psg@debian.org>  Tue, 09 Sep 2008 21:28:31 -0400

emacs-goodies-el (29.3-2) unstable; urgency=low

  * devscripts-el:
  - Bug fix: "devscripts-el: missing dependency on apel (mcharset.el)".
    Thanks to Luca Capello (Closes: #483244).

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2008 19:46:13 -0400

emacs-goodies-el (29.3-1) unstable; urgency=low

  * devscripts-el:
   - Bug fix: "devscripts-el: Downgrade elserv dependency to Recommends".
     Thanks to Tim Retout (Closes: #475791).

 -- Peter S Galbraith <psg@debian.org>  Mon, 26 May 2008 20:17:18 -0400

emacs-goodies-el (29.2-1) unstable; urgency=low

  * emacs-goodies-el:
    - Updated to lastest version compatible with GPL V3:
        box-quote.el
        mutt-alias.el
        obfusurl.el
        protocols.el
        services.el
        thinks.el
        tld.el
    - rfcview.el: Updated from maintained version at
      http://www.loveshack.ukfsn.org/emacs/rfcview.el
      Should fix fontification bug reported by jidanni@jidanni.org
      but no longer works with XEmacs (it requires view.el).
      (Closes: #464940).
    - Fix S-Lang spelling in package description.
      Thanks to Rafael Laboissiere (Closes: #460445).
  * debian-el:
    - Enable apt-sources-mode for files in /etc/apt/sources.list.d/".
      Thanks to Géraud Meyer for the report and patch (Closes: #475701).
  * dpkg-dev-el:
    - Generalise automatic invocation to files named debian/package.changelog
      Thanks to Trent W. Buck for the report and patch.  (Closes: #457047)

 -- Peter S Galbraith <psg@debian.org>  Sat, 12 Apr 2008 09:49:26 -0400

emacs-goodies-el (29.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * vm-bonus-el:
    - Don't include vm-rfaddons.el and depend on vm versions
      that ship that file (Closes: #469652, #469625). 

  [ Cyril Brulebois ]
  * dpkg-dev-el:
    - debian-control-mode.el: Added `Dm-Upload-Allowed' to the list of
      valid fields for the source packages.
  
  [ Peter S Galbraith ]
  * Bug fix: "emacs-goodies-el: FTBFS if built twice in a row", thanks to
    Sven Joachim (Closes: #469751).

 -- Peter S Galbraith <psg@debian.org>  Wed, 26 Mar 2008 20:26:56 -0400

emacs-goodies-el (29.0-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * debian/changelog:
    - Converted to UTF-8.  Thanks to Bas Zoetekouw.
     (Closes: #453964, #453973, #453974, #453978, #454008, #454034).
    - Deleted local variables at the end, Emacs shouldn't need this any
      longer.
    - Nuked trailing spaces at the same time.
  * emacs-goodies-el:
    - pod-mode.el: Added file (version 0.4), as suggested by
      Emmanuel Bouthenot (Closes: #452857).
  * debian/control:
    - Added Vcs-Cvs and Vcs-Browser fields.

  [ Peter S Galbraith ]
  * emacs-goodies-el:
    - minibuffer-complete-cycle.el: Updated to V1.14 with patch from
      Sebastian P. Luque.

 -- Peter S Galbraith <psg@debian.org>  Tue, 04 Dec 2007 19:41:04 -0500

emacs-goodies-el (28.3-1) unstable; urgency=low

  [ Peter S Galbraith ]
  * emacs-goodies-el:
    - htmlize.el: Updated file to V1.34 (Thanks to S.P. Tseng).
    - todoo.el: Symbol's function definition is void:
      outline-font-lock-level", I had forgotten an instance of that old
      function. Thanks to Jens Thiele and Sven Joachim (Closes: #447760).
  * debian-el:
    - apt-utils.el: "suggest apt-utils-show-package defer package name
      completions", thanks to Kevin Ryde and Matt Hodges (Closes: #442425).

  [ Cyril Brulebois ]
  * emacs-goodies-el:
    - markdown-mode.el: Updated file to V1.5.
  * dpkg-dev-el:
    - debian-control-mode.el: Renamed `XS-Vcs-*' into `Vcs-*' since these
      fields are now recognized by dpkg (since 1.14.7).

 -- Peter S Galbraith <psg@debian.org>  Tue, 23 Oct 2007 20:31:24 -0400

emacs-goodies-el (28.2-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * emacs-goodies-el:
    Updated file:
    - show-wspace.el: upstream has added a `show-ws-' prefix to improve
      semantics and avoid namespace clash.
  * dpkg-dev-el:
    Updated file:
    - debian-control-mode.el: added `Homepage' to the list of the valid fields
      for the source packages.
    - debian-control-mode.el: added `XS-Vcs-Browser' and `XS-Vcs-*' to the
      list of the valid fields for the source packages. The list of valid *
      has been taken from:
        http://svn.debian.org/wsvn/qa/trunk/pts/www/bin/common.py?op=file
      Patch contributed by Rafael Laboissiere (Closes: #422491).

 -- Peter S Galbraith <psg@debian.org>  Wed, 03 Oct 2007 19:36:13 -0400

emacs-goodies-el (28.1-1) unstable; urgency=low

  * emacs-goodies-el:
    - xrdm-mode.el: Added pointer to `xrdb-mode-setup-auto-mode-alist'
      customization to enable this feature in both Info file and
      README.Debian. .  Thanks to Reuben Thomas (Closes: #411434).

 -- Peter S Galbraith <psg@debian.org>  Mon, 24 Sep 2007 20:54:42 -0400

emacs-goodies-el (28.0-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * debian/control:
    - Removed Roland Mas from the Uploaders upon his request.
  * emacs-goodies-el:
    New file:
    - show-wspace.el: highlights whitespaces of various kinds.
      Thanks to Lennart Poettering for the suggestion (Closes: #422876).

  [ Peter S Galbraith ]
  * debian-el:
    - gnus.BTS.el: Implement "reading bugs as mail instead of in browser".
      Thanks to Johannes Rohr for the report and to intrigeri for the patch
      (Closes: #218286).
    - debian-bug.el: Add `debian-bug-get-bug-as-email-hook' and relative
      `run-hooks' patch from Luca Capello (Closes: #392475)
  * emacs-goodies-el:
    - cwebm.el: Blank out the contents of cwebm.el, whose license is not
      compatible with Emacs.
    - rfcview.el: Add hyperlinks for rfcview.el patch from Dave Love
      (Closes: #377678).

 -- Peter S Galbraith <psg@debian.org>  Mon, 24 Sep 2007 20:36:30 -0400

emacs-goodies-el (27.7-1) unstable; urgency=low

  * debian-el:
    - gnus-BTS.el: fails when clicking a bug. Thanks to Jhair Tocancipa
      Triana and Manoj Srivastava for reports, and to Elias Oltmanns for
      testing my fix. (Closes: #363161, #442438).
  * gnus-bonus-el:
    - gnus-pers.el: gives newsgroup setting priority over interactive
      choice". Thanks to Bruce Stephens and to Elias Oltmanns
      (Closes: #263371).

 -- Peter S Galbraith <psg@debian.org>  Tue, 18 Sep 2007 21:38:17 -0400

emacs-goodies-el (27.6-1) unstable; urgency=low

  * gnus-bonus-el:
    - gnus-pers.el: "Cc-fix feature in gnus-pers is horribly broken".
      Thanks to Elias Oltmanns for the report and the patches, and I
      apologise for the delay in applying them! (Closes: #384209).

 -- Peter S Galbraith <psg@debian.org>  Mon, 17 Sep 2007 22:15:29 -0400

emacs-goodies-el (27.5-1) unstable; urgency=low

  * debian-el: debian-bug.el (and debian-changelog-mode.el)
    - Implement pacakge lookup on http://packages.debian.org/
      See http://bugs.debian.org/87725
  * dpkg-dev-el:
    - Patch from Luca Capello <luca@pca.it> to add keys to generate the
      open bug alist (Closes: #430517).

 -- Peter S Galbraith <psg@debian.org>  Sun, 02 Sep 2007 21:39:14 -0400

emacs-goodies-el (27.4-1) unstable; urgency=low

  * dpkg-dev-el:
    - debian-bts-control.el: Added `fixed' `notfixed' `block' `unblock'
      `archive' `unarchive' `found' `notfound'.  Thanks to intrigeri
      (Closes: #391647).

 -- Peter S Galbraith <psg@debian.org>  Thu, 30 Aug 2007 09:27:43 -0400

emacs-goodies-el (27.3-1) unstable; urgency=low

  * dpkg-dev-el:
    - debian-bts-control.el: debian-bts-control suffers of bug #336466 and
      doesn't skip over mml directives.
      Thanks to Luca Capello (Closes: #392132).

 -- Peter S Galbraith <psg@debian.org>  Thu, 30 Aug 2007 08:25:26 -0400

emacs-goodies-el (27.2-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el: "Bugs menu gone due to missing
      debian-changelog-close-bug-statement", thanks to Bill Wohler
      (Closes: #440002).
  * emacs-goodies-el:
    - Bug fix: Lists packages available in emacs22 separately.
      Thanks to Trent W. Buck (Closes: #438498).
    - Bug fix: "Description field typo, s/: / - /."
      Thanks to Trent W. Buck (Closes: #438497).
    - cfengine.el: Updated to better version of cfengine.el.
      Thanks to its author, Dave Love (Closes: #377675).
    - todoo-mode.el: Symbol function definition is void:
      outline-font-lock-level in todoo-indent-line".
      Thanks to Kumar Appaiah (Closes: #438964).

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Aug 2007 22:01:32 -0400

emacs-goodies-el (27.1-1) unstable; urgency=low

  * emacs-goodies-el: postinst failed with emacs22 because silly-mail
    required sendmail.el and failed to byte-compile if /usr/bin/mail
    didn't exist. Thanks to Josh Triplett (Closes: #434104).

 -- Peter S Galbraith <psg@debian.org>  Wed, 08 Aug 2007 19:42:02 -0400

emacs-goodies-el (27.0-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * emacs-goodies-el:
    New file:
    - markdown-mode.el: major mode for editing Markdown files
      (Closes: #435485).

  [ Peter S Galbraith ]
  * debian/compat thanks to Michael Olson.
  * debian-el:
    - /etc/emacs/site-start.d/51debian-el.el: Typo: debian-el-el,
      thanks to Josh Triplett (Closes: #427770).
  * dpkg-dev-el:
    - debian-bts-control.el: Use `C-c C-b' instead of `C-c c' (Closes: #435247).
    - debian-changelog-model.el:
      auto-mode-alist  for "/debian/*NEWS" files, thanks to Per Olofsson
      (Closes: #424779).
  * emacs-goodies-el:
    - tabbar.el updated to version 2.0 and Info updated as well.
      Thanks to Michal Sojka (Closes: #435335).

 -- Peter S Galbraith <psg@debian.org>  Wed, 08 Aug 2007 18:47:33 -0400

emacs-goodies-el (26.13-1) unstable; urgency=low

  * Bug fix: "gnus-bonus-el does not know about emacs22", thanks to
    Mikhail Gusarov (Closes: #434491).
  * Bug fix: "emacs-goodies-el: Please prefer emacs22 as first
    alternative", thanks to Sven Joachim (Closes: #432100).
  * Bug fix: "[debian-bug.el, debian-changelog-mode.el] please be
    consistent for the close statement", thanks to Luca Capello (Closes:
    #431091).
  * Bug fix: "cyclebuffer.el too old global-set-key example", thanks to
    Dan Jacobson (Closes: #371861).
  * Bug fix: "emacs-goodies-el: df-mode break minor-mode-alist and
    function using it".  Added 50_df_minor_mode_alist.dpatch thanks to
    Remi Vanicat (Closes: #430788).

 -- Peter S Galbraith <psg@debian.org>  Wed, 25 Jul 2007 21:53:16 -0400

emacs-goodies-el (26.12-1) unstable; urgency=low

  [ Michael Olson ]
  * debian/emacs-goodies-el.emacsen-install.in:
    - (EXCLUDED_emacs22): Exclude programs that are part of Emacs 22.
  * debian/compat:
    - Set to 4 to silence lintian warning.
  * debian/control:
    - (Standards-Version): Set to 3.7.2
    - (Build-Depends): Move debhelper and dpatch here.
  * debian/rules:
    - Don't set DH_COMPAT.
  [ Junichi Uekawa ]
  * devscripts-el:
   - unset read-only state in debuild.
  * pbuilder-mode.el:
   - unset read-only state.
  [ Peter Galbraith ]
  * gnus-bonus-el.emacsen-install.in, debian-el.emacsen-install.in: Setup
    emacs22 with similar exceptions as emacs-snapshot.

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 10:14:25 -0400

emacs-goodies-el (26.11-1) unstable; urgency=low

  * dpkg-dev-el:
   - debian-changelog-mode.el: Use "date -R" instead of deprecated
    "822-date".  Thanks to Matej Vela. (Closes: #423142, #423155, #423828)
  * emacs-goodies-el:
   - todoo.el: Comment out clobbering of outline-mode-menu-bar-map key
     entries. This is far too aggressive.  A much better fix would be to
     undefine the keys for todoo-mode-map.  Thanks to Simon Pepping
     (Closes: #414781).
   - filladapt.el: Make turn-on-filladapt-mode interactive.
     Thanks to Kevin Ryde (Closes: #420845).

 -- Peter S Galbraith <psg@debian.org>  Mon, 14 May 2007 19:26:43 -0400

emacs-goodies-el (26.10-1) unstable; urgency=low

  [ Junichi Uekawa ]
  * dpkg-dev-el:
    - debian-changelog-mode.el: support co-maintainers. If previous
      maintainer editing the entry is different from the current, an
      entry of the form '[ NAME ]' is created.
      Thanks to Luca Capello (Closes: #352957).
  * debian-el:
    - fix debian-bug.el (debian-bug-build-bug-menu) to work with new
      BTS output format.
  [ Peter S Galbraith ]
  * gnus-bonus-el:
    - gnus-pers.el: gnus-functionp is absent in Oort Gnus, thanks
      to Dmitry Astapov (Closes: #416360).
  * emacs-goodies-el:
   - emacs-goodies-el.el: xrdb-mode clobbers bindings in emacs-snapshot,
     thanks to R.Ramkumar (Closes: #402580).
   - emacs-goodies-el.el: Too many files put into cfengine-mode,
     thanks to Sven Joachim (Closes: #408285).
   - emacs-goodies-el.el: "add apache2.conf to auto-mode-alist",
     thanks to Shannon Eric Peevey (Closes: #392719).
  * dpkg-dev-el:
   - 50dpkg-dev-el.el: "Fixed native package changelog coding system for
     emacs 22", thanks to Kevin Ryde (Closes: #416218).
   - debian-bts-control.el: typo in debian-bts-control-modes-to-reuse,
     thanks to Luca Capello (Closes: #392274).
  * debian-el:
   - debian-bug.el: Updated list of pseudo packages,
     thanks to Sven Joachim (Closes: #417882).

 -- Peter S Galbraith <psg@debian.org>  Mon, 14 May 2007 19:24:37 -0400

emacs-goodies-el (26.9-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el: Added "Owner:" to ITP bugs. Thanks to Romain
      Francoise for bringing this to my attention (Closes: #388747).
  * dpkg-dev-el:
    - debian-bts-control.el: Some tags are missing in the list". I also
      updated debian-bug.el. Thanks to Thomas Weber (Closes: #373283).

 -- Peter S Galbraith <psg@debian.org>  Fri, 22 Sep 2006 15:29:06 -0400

emacs-goodies-el (26.8-1) unstable; urgency=low

  * dpkg-dev-el:
   - debian-changelog-mode.el: Allow tilde (~) in version numbers", thanks
     to Rafael Laboissiere for the report and to Peter Samuelson for the
     patch (Closes: #382514).
  * emacs-goodies-el:
    - folding.el: Updated to latest CVS version.

 -- Peter S Galbraith <psg@debian.org>  Mon, 11 Sep 2006 12:02:32 -0400

emacs-goodies-el (26.7-1) unstable; urgency=low

  By Jaakko Kangasharju <ashar@iki.fi>:
  * gnus-bonus-el:
    - Verify gnus-newsgroup-name is set before using it (Thanks to Elias
      Oltmanns) (Closes: #384402)
  By Junichi Uekawa <dancer@debian.org>:
  * debian-el:
    - debian-changelog-mode.el: Does not support bugs with only e-mail
      address and no full name. (Closes: #380217).
  By Peter S Galbraith <psg@debian.org>:
  * debian-el:
    - apt-utils.el: New upstream release 2.8.0:
    - debian-bug.el: Bug fix: "debian-el: debian-bug-prompt-bug-number
      missing word-at-point", thanks to Kevin Ryde (Closes: #384542).
  * emacs-goodies-el:
    - Bug fix: minor info manual error", thanks to Sebastian Luque
      (Closes: #385234).

 -- Peter S Galbraith <psg@debian.org>  Tue,  5 Sep 2006 20:53:27 -0400

emacs-goodies-el (26.6-1) unstable; urgency=low

  * dpkg-dev-el:
    - readme-debian.el: (Changed by Junichi Uekawa <dancer@debian.org>)
      set locale to C for obtaining rfc822-style date, follow-up for
      fix for 351010. (closes: #364770)
    - remove duplicate add-to-list for auto-load-alist.
      (Changed by Junichi Uekawa <dancer@debian.org>)
    - readme-debian.el: Better regexp to activate on *.Debian$ files".
      Thanks to Jari Aalto for the bug and the patch (Closes: #354970).
    - "utf-8 for debian/control file", thanks to Kevin Ryde (Closes: #365796).
  * emacs-goodies-el:
    - Bug fix: "Modify emacs-goodies-el's dependency on bash to allow
      bash-static instead", thanks to maru dubshinki (Closes: #364852).
  * gnus-bonus-el:
    - Bug fix: "not fully installed message in e,acs-snapshot", thanks to
      Dan Jacobson (Closes: #369618).
  * debian-el:
    - debian-bug.el: "Change the face of Tags: for experimental", thanks to
      Luca Capello for the bug and patch (Closes: #357265).

 -- Peter S Galbraith <psg@debian.org>  Tue, 30 May 2006 19:43:18 -0400

emacs-goodies-el (26.5-2) unstable; urgency=low

  * Bug fix: "dpkg-dev-el: Error message during configuration of
    emacs-snapshot", thanks to Sven Joachim for reporting this.
    It Turns out that the /etc/emacs/site-start.d/ startup files were
    trying to load byte-compiled files in
    /usr/share/emacsFLAVOR/site-lisp/PACKAGE directories that don't exist
    because the package hasn't been fully installed yet.  I now check for
    this condition. (Closes: #341829).

 -- Peter S Galbraith <psg@debian.org>  Tue, 21 Feb 2006 21:24:10 -0500

emacs-goodies-el (26.5-1) unstable; urgency=low

  * dpkg-dev-el:
    - readme-debian.el: Update date not in RFC822 format.
      Thanks to Luca Capello for the bug report and patch (Closes: #351010).
  * debian-el:
    - deb-view.wl: Bug fix: Fails if coding system utf-8 is preferred.
      Thanks to Sven Joachim for the report and the patch (Closes: #344260).
  * emacs-goodies-el:
    - emacs-goodies-el: Bug fix: home-end-enable defcustom clobbers bindings.
      Thanks to Matt Hodges for the bug report (Closes: #340694).
    - edit-env.el: Symbol's function definition is void: copy-list.
      Thanks to Sven Joachim for the bug report (Closes: #340735).

 -- Peter S Galbraith <psg@debian.org>  Thu,  2 Feb 2006 22:13:10 -0500

emacs-goodies-el (26.4-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el: Swap "^CC:" for X-Debbugs-CC: in mail header.
      Thanks to Luca Capello (Really closes: #208570).
  * dpkg-dev-el:
    - debian-control-mode.el: Make # the comment character.
      Thanks to Romain Francoise for the suggestion (Closes: #339868).

 -- Peter S Galbraith <psg@debian.org>  Tue, 22 Nov 2005 20:59:11 -0500

emacs-goodies-el (26.3-1) unstable; urgency=low

  * emacs-goodies-el:
    - Info manual concerning under.el: s/underline-region/underhat-region/
      in info page", thanks to Luca Capello (Closes: #336938).
    - Leaves temporary file behind if already configured", thanks to
      Romain Francoise for the report and the patch (Closes: #336830).
  * debian-el:
    - debian-bug.el: Use bug number under point as prompt default whenever
      possible.  Thanks to Luca Capello (Closes: #337233).
    - debian-bug.el: Swap CC: for X-Debbugs-CC: in mail header.
      Thanks to Francesco Potorti` (Closes: #208570).
    - debian-bug.el: debian-bug-wnpp must skip over mml directives in
      new mail drafts. Thanks to Luca Capello for reporting (Closes: #337659)
    - gnus-BTS.el: Invalid function macro trying to view an article.  I
      wasn't skipping byte-compilation for gnus-BTS.el, I was skipping
      installation!  I added a new method to install yet skip
      byte-compilation.  Thanks to Luca Capello (Closes: #336935).
    - apt-utils.el: New upstream release:
      Files in apt-utils-search-file-names are now hyperlinks;
      New command, apt-utils-view-version, to report the installed version
      of a package.

 -- Peter S Galbraith <psg@debian.org>  Sat,  5 Nov 2005 13:12:35 -0500

emacs-goodies-el (26.2-1) unstable; urgency=low

  * emacs-goodies-el:
    - slang-mode.el: Bad default for slang-default-application. Thanks to
      Sven Joachim (Closes: #336352).
    - htmlize.el: New upstream version 1.27.
      Thanks to Hrvoje Niksic (Closes: #336356).
  * debian-el:
    - debian-bug.el: debian-bug-package must skip over mml directives in
      new mail drafts. Thanks to Luca Capello for reporting (Closes: #336466)

 -- Peter S Galbraith <psg@debian.org>  Sun, 30 Oct 2005 20:49:34 -0500

emacs-goodies-el (26.1-1) unstable; urgency=low

  * New package vm-bonus-el: Miscellaneous add-ons for VM.
    - vm-rfaddons.el: a collections of various useful VM helper functions.
    - u-vm-color.el: font-lock support for VM.
    Thanks to Patrice Karatchentzeff for the suggestion. (Closes: #244444)
  * Removed transitional packages:
     emacs-goodies-extra-el, debbugs-el and debview
  * debian-el:
    - deb-view.el V1.12:  Bug fixes suggested by Dan Jacobson.
      + Output an error message if the package file is corrupted
        (e.g. partial download) (Closes: #235673).
      + deb-view-dired-view: Check if file in dired is a .deb before opening
        (Closes: #273902).
      + deb-view-tar-view: If the file to be opened is from the INFO buffer,
        then open in the other (larger) window (Closes: #321869).
    New files:
    - pressed.el: a major mode for editing debian-installer preseed files.
      Thanks to W. Borgert <debacle@debian.org> for suggesing and providing it.
      (Closes: #279061)
  * dpkg-dev-el:
    - 50dpkg-dev-el.el: Only apply utf-8 coding-system if it exists.
  * emacs-goodies-el:
    - matlab.el: New upstream version, updated to 3.0.1
    - boxquote.el: New upstream version, updated to 1.18,
      Thanks to Simon Taylor (Closes: #335070).
    - bar-cursor.el bug fix: In my previous fix, I forgot to undo skipping
      installation for emacs-snapshot (Closes: #331430).
    New files:
    - maple.el: major mode for editing Maple files. Thanks to Anders
      Lennartsson for suggesting it (Closes: #334425).
    - color-theme.el: changes the colors used within Emacs (Closes: #144420).

 -- Peter S Galbraith <psg@debian.org>  Tue, 25 Oct 2005 22:08:16 -0400

emacs-goodies-el (25.1-1) unstable; urgency=low

  * General Bug fix: "compiling *.el files should display errors, not just
    log file name", thanks to Jari Aalto (Closes: #309790).  I implemented
    the suggested grep for byte-compilation warnings and now delete the
    temporary log files after their creation ("debian-el: leaves temporary
    files in /tmp after installation", thanks to Lars Wirzenius; Closes:
    #331114).
  * emacs-goodies-el:
    - emacs-goodies-el.el: Key binding for wdired didn't get properly
      defined in emacs-snapshot, thanks to Sven Joachim for the report and
      the patch (Closes: #329883).
    - dict.el: `current-word' can return nil", thanks to Jorgen Schaefer
      for the report and patch. (Closes: #301293).
    - shell-command.el: New upstream version.  Also fixed bug "activation
      is documented wrongly" from Sven Joachim.  The activation has changed
      to using the variable `shell-command-completion-mode'. (Closes: #331421)
    - bar-cursor.el bug fix: Loading the library changes cursor to hollow
      box in emacs-snapshot", Thanks to Sven Joachim for the report and the
      patch (Closes: #331430).
    New files:
    - cfengine.el: major mode for editing cfengine files.
      Thanks to Morten Werner Olsen (Closes: #280415).
    - csv-mode.el: major mode for editing comma-separated value files
      (Closes: #260705)
    - cua.el: emulate CUA key bindings (C-z undo, C-x cut, C-c copy, C-v paste)
    - cwebm.el:  a CWEB/WEB modified mode.
      Thanks to Max Vasin (Closes: #326772).
    - ido.el: a faster way to switch buffers and get files.
      Thanks to Cyril Bouthors (Closes: #293732).
    - matlab.el: a major mode for MATLAB dot-m files
      tlc.el: a major mode for editing Target Language Compiler scripts
      Thanks to Riccardo Vestrini (Closes: #246379).
    - minibuf-electric.el:  Electric minibuffer behavior from XEmacs.
      Thanks to Karl Hegbloom (Closes: #317566).
    - slang-mode.el: a major-mode for editing slang scripts.
      Thanks to Rafael Laboissiere (Closes: #297828).
    - tabbar.el: Display a tab bar in the header line.
      Thanks to Josh Triplett for both suggestions and a patch
      (Closes: #237341).
  * gnus-bonus-el: (Jaakko Kangasharju <ashar@iki.fi>)
    - gnus-filterhist.el: Move face-changing command inside temporary buffer
      manipulation (Closes: #331234)

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Oct 2005 15:31:53 -0400

emacs-goodies-el (24.15-2) unstable; urgency=low

  * symlink .el files alongside .elc files such that they are available
    for `find-function' et al.  (Closes: #329114 again)

 -- Peter S Galbraith <psg@debian.org>  Thu, 22 Sep 2005 21:23:58 -0400

emacs-goodies-el (24.15-1) unstable; urgency=low

  * gnus-bonus-el:
    - no longer add /usr/share/emacs/site-lisp/gnus-bonus-el to load-path
      since that shadows emacs-snapshot packages nnnil.el and spam-stat.el
    - skip byte-compilation for unsupported emacs20.  Thanks to Thomas
      Bushnell BSG for reporting it and noticing the Emacs20 involvement.
      (Closes: #329430).
  * emacs-goodies-el:
    - Fix buglet in `wdired-enable' setting.

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Sep 2005 19:32:28 -0400

emacs-goodies-el (24.14-1) unstable; urgency=low

  * dpkg-dev-el:
    - debian-bts-control.el: Pick bug number at point for debian-bts-control
      messages", thanks to Jari Aalto for the idea and patch (Closes: #325095).
  * emacs-goodies-el:
    - no longer add /usr/share/emacs/site-lisp/emacs-goodies-el to load-path
      since that shadows emacs-snapshot packages such as ibuffer and others.
      (Closes: #329114)

 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 21:44:18 -0400

emacs-goodies-el (24.13-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el: debian-bug-build-bug-menu was broken from BTS HTML
      format changes (Closes: #329034).
    - gnus-BTS.el:  Minor bug fix preventing byte-compilation on
      emacs-snapshot.
  * dpkg-dev-el:
    - Handle changelog coding system for debian native package, by Kevin
      Ryde (Closes: #317597).
    - debian-changelog-mode.el: Add outline-regexp and C-cC-n and C-cC-p
      movement commands as suggested by Romain Francoise (Closes: #322994)
  * emacs-goodies-el:
    - tld.el: new upstream version omits FX which does not exist,
      thanks to Stephane Bortzmeyer for reporting this (Closes: #273588).
    - Skip byte-compilation for wdired.el ibuffer.el table.el newsticker.el
      for emacs-snapshot, since it has these files (Same for package
      gnus-bonus-el and files nnnil.el and spam-stat.el). Also only define
      the "r" key in dired-mode if `emacs-goodies-el-defaults' is set.
      (Closes: #329114)

 -- Peter S Galbraith <psg@debian.org>  Mon, 19 Sep 2005 19:25:31 -0400

emacs-goodies-el (24.12-1) unstable; urgency=low

  * No longer call (setq load-path (substitute "." nil load-path)) in startup
    scripts since it's no longer useful and required 'cl to work correctly.
    Thanks to Kevin Ryde for finding this and reporting it! (Closes: #328712)
  * emacs-goodies-el:
    - newsticker.el: new upstream version 1.8
    - ff-paths.el: new upstream version 3.23
    - emacs-goodies-el.el: Double entry in Dired menu on Emacs 22 fixed by
      Sven Joachim (Closes: #323754)
    - perldoc.el: Apply patch from Kevin Ryde for when perldoc package is
      not installed. (Closes: #314869)
  * devscripts-el: (Changed by Junichi Uekawa <dancer@debian.org>)
    - minor cosmetic fix on output of pbuilder-build command; add a missing
      newline
  * debian-el:
    - gnus-BTS: Emacs namespace is being polluted (incorrect
      naming of funcs/vars).  Thanks to Jari Aalto for the updated file.
      (Closes: #324116)
  * gnus-bonus-el:
      dependency compatible with emacs-snapshot.
      Thanks to Luca Capello.  (Closes: #322536)
  * dpkg-dev-el:
      debian-changelog-mode.el: Apply patch from Rafael Laboissiere adding
      debian-changelog-add-version-hook defaulting to
      debian-changelog-add-new-upstream-release (Closes: #296725)

 -- Peter S Galbraith <psg@debian.org>  Sun, 18 Sep 2005 19:47:11 -0400

emacs-goodies-el (24.11-2) unstable; urgency=low

  * emacs-goodies-el:
    - perldoc.el: Handle case when perl-doc is not installed", thanks to
    Kevin Ryde for the report and a stab at fixing it (Closes: #314869).

 -- Peter S Galbraith <psg@debian.org>  Thu, 23 Jun 2005 19:14:00 -0400

emacs-goodies-el (24.11-1) unstable; urgency=low

  * debian-el:
   - apt-utils.el: "apt-utils-show-package is broken", thanks to Thamer
     Mahmoud for reporting it and to Matt Hodges for fixing it in a new
     upstream version (Closes: #302888, #312000).
  * devscripts-el: (Changed by Junichi Uekawa <dancer@debian.org>)
   - autoload 'debi'; fix spelling mistake in pduilder->pbuilder
     (closes: #305109)
  * dpkg-dev-el:
   - debian-changelog-mode.el: "`(fboundp (quote imenu))' called for
     effect", thanks to Jari Aalto for the patch (Closes: #309788).
   - 50dpkg-dev-el.el: Make debian changelogs default to utf-8,
     thanks to Kevin Ryde for the patch (Closes: #315494).

 -- Peter S Galbraith <psg@debian.org>  Thu, 23 Jun 2005 13:00:40 -0400

emacs-goodies-el (24.10-1) unstable; urgency=low

  * debian-el:
    - debian-bug.el: Patch from Kevin Ryde <user42@zip.com.au> adds gnus
      support to debian-bug-get-bug-as-email, bringing the bug
      messages up in a gnus group. (Closes: #288469)
  * emacs-goodies-el:
    - apache-mode.el: Bug fix: "emacs-goodies-el: uncomment-region does
      not work with closing tags like </Virtualhost>", thanks to Cyril
      Bouthors for reporting this (Closes: #283840).  The bug is fixed by
      switching to a new version now maintained by Karl Chen.
  * dpkg-dev-el:
    - debian-control-mode.el: Bug fix: "mouse-pasting fails and starts
      Mozilla in Debian control mode", thanks to Antti-Juhani Kaijanaho
      (Closes: #293629).  I changed the binding from mouse-2 to C-mouse-2.

 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Feb 2005 21:27:58 -0500

emacs-goodies-el (24.9-2) unstable; urgency=low

  * Use debian-emacs-flavor instead of flavor in startup files and replace
    occurrences of nil by "." in load-path for the sake of
    debian-pkg-add-load-path-item.

 -- Peter S Galbraith <psg@debian.org>  Wed, 15 Dec 2004 21:04:21 -0500

emacs-goodies-el (24.9-1) unstable; urgency=low

  * emacs-goodies-el:
    - todoo.el: outline-regexp improperly made buffer-local,
      thanks to Cyril Bouthors for reporting (Closes: #284083).

 -- Peter S Galbraith <psg@debian.org>  Fri,  3 Dec 2004 15:30:07 -0500

emacs-goodies-el (24.8-1) unstable; urgency=low

  * debian-el:
    - apt-utils.el: Updated to latest version from Matt, in which he fixed
      dependence on jka-compr (Closes: #278929) and addressed the issue of
      memory usage (Closes: #252481).
  * emacs-goodies-el:
    - todoo.el: changes to outline-regexp should be buffer-local
      (Closes: #267637).  Thanks to Daniel Skarda <0rfelyus@hobitin.ucw.cz>
      for pointing it out.
    - folding.el: Updated to latest CVS version to fix bug: "folding.el:
      support for BibTeX-mode is b0rken", thanks to Juhapekka Tolvanen
      (Closes: #282388).

 -- Peter S Galbraith <psg@debian.org>  Thu, 25 Nov 2004 22:06:03 -0500

emacs-goodies-el (24.7-1) unstable; urgency=low

  * debian-el:
    - apt-utils.el: new upstream version from Matt.
    - debian-bug.el: Bug fix: "debbugs-el: M x debian-bug fails due to new
      reportbug syntax; Add "--list-cc=none" to call to reportbug".
      Thanks to Camm Maguire for the patch (Closes: #280780).
  * emacs-goodies-el:
    - newsticker.el: New upstream release (1.6).

 -- Peter S Galbraith <psg@debian.org>  Fri, 12 Nov 2004 15:41:48 -0500

emacs-goodies-el (24.6-2) unstable; urgency=low

  * gnus-bonus-el
    - Attempt to fix Bug: "gnus-bonus-el: search-failed "--text follows this
      line--". Thanks to Mathieu Roy for reporting, and email back if the
      fix doesn't work for you (Closes: #240212).
  * Bug fix: "wrong emacsen-install, so logging will fail",
    emacsen-install.template used shell-specifix redirection. Thanks to
    OHASHI Akira for reporting and providing the fix (Closes: #265478).

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Aug 2004 21:06:11 -0400

emacs-goodies-el (24.6-1) unstable; urgency=low

  * gnus-bonus-el
    - Bug fix: "Missing file: nnmaildir.el", thanks to Christian Joergensen
      for reporting this.  The file is actually in the gnus package so I
      won't mention it anymore. (Closes: #256260).
  * debian-el:
    - debian-el.el: Bug fix: "debian-el: Add udeb support to debview",
      thanks to Frédéric Botha-my for the suggestion and patch
      (Closes: #260273).
    - apt-utils.el: new upstream version from Matt, adds "m" key and menu
      entry to read man page.  Addresses bug report "apt-utils.el: not
      friendly" from Dan Jacobson (Closes: #249061).
    - debian-bug.el: debian-bug-wnpp now supports RFH tag (Closes: #262985).
  * emacs-goodies-el:
    - Since todoo.el and ibuffer.el don't work in XEmacs, do autoload
      them and document that limitation in the Info docs. Thanks to OHURA
      Makoto for reporting (Closes: #244681).

 -- Peter S Galbraith <psg@debian.org>  Tue,  3 Aug 2004 20:26:21 -0400

emacs-goodies-el (24.5-1) unstable; urgency=low

  * debian/control: Added Jérôme Marant <jerome@debian.org> to uploaders.
  * debian/changelog: Converted to UTF-8 as per Policy.
  * debian/emacsen-install.template: Since dashes are not allowed in
    flavour names within shell variables, replace them with underline
    characters. (Jérôme Marant).
  * dpkg-dev-el:
    - debian-changelog-mode.el: "dpkg-dev-el: Warning message for security
      uploads should be dismissed".  Thanks to Martin Schulze (Closes: #234730)
    - debian-changelog-mode.el: "Should mark line beginning with a tab as
      invalid". Thanks to Michel Daenzer (Closes: #235310).

 -- Jerome Marant <jerome@debian.org>  Sun, 16 May 2004 14:00:45 +0200

emacs-goodies-el (24.4-1) unstable; urgency=low

  * dpkg-dev-el:
    - debian-control-mode.el: Apply patch from Jhair Tocancipa Triana
      <jhair_tocancipa@gmx.net> to fix an after-change-functions race
      (Closes: #226770, #236506).
  * emacs-goodies-el:
    - emacs-goodies-custom.el:  Remove duplicate and obsolete entries
      for joc-toggle-buffer and joc-toggle-case defcustoms. Thanks to
      Kevin Ryde for reporting it (Closes: #234972).
    - joc-toggle-buffer.el: Provide joc-toggle-buffer instead of older name
      toggle-buffer. Thanks to Kevin Ryde for reporting it (Closes: #234971).
    - emacs-goodies-el.texi: Rename node auto-fill-mode-inhibit to
      auto-fill-inhibit and pack-window to pack-windows.  Thanks to
      Kevin Ryde <user42@zip.com.au> for reporting it (Closes: #234651).

 -- Peter S Galbraith <psg@debian.org>  Sat, 27 Mar 2004 19:59:41 -0500

emacs-goodies-el (24.3-1) unstable; urgency=low

  * debian-el:
    - apt-utils.el: Updated to v1.82 (2004/02/17). Bug fix: "debian-el:
      (args-out-of-range 922 922)", thanks to Johannes Rohr for reporting it
      (Closes: #232367).  Also adds automatic rebuilding of its APT package
      list; See `apt-utils-automatic-update'.
  * gnus-bonus-el:
    - Bug fix: No longer depend on emacs20 since it was removed from
      testing, thanks to Martin Michlmayr for reporting it (Closes: #232760).
  * dpkg-dev-el:
    - debian-changelog-mode.el: Add file NEWS.Debian to auto-mode-alist.
      Thanks to Chris Lawrence for suggesting it (Closes: #233310).

 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Feb 2004 21:28:32 -0500

emacs-goodies-el (24.2-2) unstable; urgency=low

  * gnus-bonus-el:
    - gnus-pers.el bug fix: Use functionp instead of relying on
      message-functionp being provided by gnus, since recent gnus no longer
      has it. Thanks to Brian May for reporting (Closes: #230036).

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 Jan 2004 19:53:18 -0500

emacs-goodies-el (24.2-1) unstable; urgency=low

  * debian-el:
    - apt-utils.el: Updated to v1.78 (2004/01/04). Allow for multiple
      buffers in apt-utils-mode that are independent of one another.
      Also fix bug: "debian-el: apt-utils-show-package scrolling", thanks to
      Kevin Ryde for reporting it (Closes: #225610).
    - deb-view.el: Resize top (control) window to fit number of lines since
      it doesn't really need to be 1/2 the screen. Thanks to Dan Jacobson
      for suggesting this change (Closes: #224950).
  * emacs-goodies-el:
    - browse-kill-ring.el: cannot setup `*Kill Ring*' buffer with items
      propertized read-only", many thanks to INOUE Hiroyuki for reporting it
      along with a working fix (Closes: #225082).
    - coffee.el: Since `M-x coffee' doesn't work for real, I've removed
      its autoload so users can't trip on it accidentally, and I've made it
      clear it's a joke package in the Info docs. Thanks to Daniel de
      Angelis Cordeiro for reporting (Closes: #225152).

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Jan 2004 15:32:06 -0500

emacs-goodies-el (24.1-1) unstable; urgency=low

  * debian-el:
    - apt-sources.el: Remove problematic requirement on autoinsert.el
      since it's not needed and upstream said he had removed it (but hadn't).
  * dpkg-dev-el:
    - debian-changelog-mode.el: Bug fix: "error setting distribution
      to *-security", thanks to Yann Dirson for reporting (Closes: #224187).
  * emacs-goodies-el:
    - browse-kill-ring.el bug fix: "can't delete entries with `read-only'
      text property (on emacs21.1)", thanks to INOUE Hiroyuki for the report
      and the patch (Closes: #224751).
  * devscripts-el: (Prepared by Junichi Uekawa)
    - debdiff-current: Run debdiff against the previous version found in
      the changelog.
  * gnus-bonus-el:
    - gnus-pers.el bug fix: "Uses message-functionp instead of functionp",
      thanks to Brian T. Sniffen (Closes: #223493).
    - gnus-pers.el bug fix: "There is no 'replace-in-string' as called by
      gnus-pers.el", thanks to Brian T. Sniffen (Closes: #223494).

 -- Peter S Galbraith <psg@debian.org>  Mon, 22 Dec 2003 21:00:30 -0500

emacs-goodies-el (24.0-1) unstable; urgency=low

  * emacs-goodies-el:
    - toggle-buffer.el renamed to joc-toggle-buffer.el
    - toggle-case.el renamed to joc-toggle-case.el
    New files:
    - minibuffer-complete-cycle.el, cycle through possible completions.
      Thanks to Hisashi MORITA for suggesting it and to Kevin Rodgers for
      accepting my suggestions to the code.  Half of #217371.
    - lcomp.el, list-completion hacks. Thanks to Hisashi MORITA for
      suggesting it (Closes: #217371).
    - folding.el, a folding-editor-like minor mode. Thanks to Michael Vogt
      (Closes: #161404) and to Jérôme Marant (Closes: #170587) for the
      suggestion.
    - apache-mode.el, major mode for editing Apache configuration files
      Thanks to Jérôme Marant for suggesting it (Closes: #165316).
    - ctypes.el, Enhanced Font lock support for custom defined types.
      Thanks to Toby Speight (for suggesting it Closes: #212884).
    - shell-command.el, enables tab-completion for shell-command.
      Thanks to Ole Laursen for suggesting it abd to its author TSUCHIYA
      Masatoshi for accepting suggestions for changes (Closes: #219766).
    - browse-huge-tar.el, browse tar files without reading them memory.
      Thanks to Marcus Crafter for suggesting it (Closes: #161159):
     Thanks to John Wiegley for suggesting files below (Closes: #137910):
    - edit-env.el, view and edit environment variables.
    - dedicated.el, dedicate a window to a single buffer.
    - rfcview.el, view IETF RFCs with readability-improved formatting.
      (Also thanks to Kevin Ryde for this suggestion; Closes: #222186)
    - marker-visit.el, navigate through a buffer's marks in order.
    - pack-windows.el, resize all windows to display as much info as possible.
    - ascii.el, ASCII code display for character under point.
    New upstream versions:
    - ff-paths.el: New variables to skip running locate for find very
      common file names.  Thanks to Stephen Eglen for suggesting it.
      (Closes: #220507)
    Patches:
    - 50_todoo_bug220718: Fix XEmacs keybindings for XEmacs.
      Thanks to Gianluca Della Vedova (Closes: #220718).
    - 50_joc-toggle-buffer: Add prefix joc- where missing; Fix startup bug.
    - 50_joc-toggle-case: Add prefix joc- where missing.
    - 50_silly-mail: Add custom support.
    Info manual:
    - filladapt.el: Document how to use with C, thanks to Kevin Ryde for the
      patch (Closes: #221942).
    - Document joc-toggle-buffer, joc-toggle-case, silly-mail.
  * dpkg-dev-el:
    - debian-changelog-mode.el: Make `debian-changelog-add-entry' works
      from files in unpacked sources.  Thanks to Junichi Uekawa for
      suggesting it (Closes: #220641).
      Add menu entry for "Archived Bugs for This Package", for
      "Developer Page for This Package", "Developer Page for This Maintainer".
    - debian-control-mode.el: highlight only known fields (Closes: #213779).
    - debian/control: dpkg-dev-el depends on debian-el (>= 24.0-1) for
      debian-changelog-mode using debian-bug-web-developer-page.
  * debian-el
    - apt-utils.el: Updated to v1.72 (2003/11/25). More robust finding of
      ChangeLog and README files, and new commands to find NEWS and
      copyright files.
    - debian-bug: Thanks to Kalle Olavi Niemitalo for both these bug
      reports with working patches.  :-)
      - Contain debian-bug's cursor-in-echo-area to when it's needed so the
        list of pseudo-packages can be scrolled. (Closes: #222332)
      - debian-bug-package: Let M-<next> and M-<prev> scroll the pseudo-package
        list window by making _it_ the other window. (Closes: #222333)
    - debian-bug.el: Add menu entry for "Archived Bugs for This Package", for
      "Developer Page for This Package", "Developer Page for This Maintainer"
      (Closes: #222391).
  * make-orig.sh bug fix: "cvs .# files in source package", thanks to
    Kevin Ryde for reporting it (Closes: #221940).

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Dec 2003 14:38:09 -0500

emacs-goodies-el (23.1-1) unstable; urgency=low

  * debian-el:
    - deb-view.el: I'm now maintaining this file. New version supports
      customization.
    - debian-bug.el bug fix: "Should send minor severty bugs to maintonly,
      not submit", thanks to Tollef Fog Heen (Closes: #214242).
    - debian-bug.el bug fix: "M-x debian-bug prompt doesn't work correctly
      in XEmacs21", thanks to Kenshi Muto for reporting (Closes: #219811).
  * emacs-goodies-extra-el:
    - Re-introduce a harmless 50emacs-goodies-extra-el.el file since old one
      not removed in dist-upgrade.
  * emacs-goodies-el:
    - tc.el: upstream-approved edits.  Includes new cite attribution string.
  * dpkg-dev-el:
    - Edits *all* elisp files in package to add autoload tags.
    - Create `dpkg-dev-el.el' and `dpkg-dev-el-loaddefs.el' startup files
      and use them in Emacs startup.

 -- Peter S Galbraith <psg@debian.org>  Tue, 11 Nov 2003 19:08:37 -0500

emacs-goodies-el (23.0-1) unstable; urgency=low

  * gnus-bonus-el: (Prepared by Jérôme Marant)
    New files:
    - gnus-pers.el, an alternative to gnus-posting-styles. (Closes: #166459)
    - gnus-eyecandy.el, enhance the group buffer by adding icons.
    - gnus-filterhist.el, add a buffer which display the message filtering
      history.
    Debian setup:
    - Add autoloads for gnus-pers.el, gnus-eyecandy.el and gnus-filterhist.el.
  * emacs-goodies-el:
    - htmlize.el: new upstream version 1.16 with many enhancements.
    Patches:
    - 50_newsticker_non-fatal_xml: Don't bail out requiring xml which doesn't
      exists on woody XEmacs. Fixes Bug "M-x newsticker-start crashes",
      reported by Volker Linke and fixed thanks to advice from Matt Hodges
      (Closes: #216233).
    - 50_projects: Make projects.el less intrusive by default.  Rename
      commands to have `project-' prefix.
    Info manual:
    - documented projects.el and tc.el.
  * devscripts-el: (Prepared by Junichi Uekawa)
    - implement 'debdiff'
    - devscripts-el.README.Debian: update to reflect latest changes.
  * debian-el:
    - apt-sources.el: new upstream version 0.9.8.
    - 50debian-el.el renamed to 51debian-el.el to make sure it runs
      _after_ old version of 50debview.el.
    - Bug fix: "debbugs-el: gnus-BTS.el causes error on opening article",
      thanks to Johannes Rohr for reporting this (Closes: #218227).  We no
      longer byte-compile gnus-BTS.el since it uses gnus macros and this
      breaks if byte-compiled with one version of gnus and used with
      another.
  * debview:
    - Bug fix: Re-introduce an harmless 50debview.el file since old one
      not removed in dist-upgrade and autoloaded debview from wrong place.
      Thanks to Neil Roeth (Closes: #218094).

 -- Peter S Galbraith <psg@debian.org>  Thu, 30 Oct 2003 19:58:16 -0500

emacs-goodies-el (22.2-1) unstable; urgency=low

  * devscripts-el:
    - Bug fix in packaging: "byte-compilation failures (e20 at least)",
      thanks to Aaron M. Ucko for reporting.  We'll use full Debian setup of
      Emacs packages to byte-compile devscripts-el (Closes: #216037).
  * dpkg-dev-el:
    - Bug fix: "View upgrading-checklist: fails to decompress", thanks to
      Neil Roeth for the thorough report.  Fixed by forcing
      auto-compression-mode on all flavours of Emacs (Closes: #216040).
  * debian/control bug fix: Package descriptions pointed to README.Debian.gz
    but the files were not compressed, thanks to Jaume (Closes: #216055).
  * debian/*emacsen-install*: Add STAMPFILE and don't byte-compile files
    if already done.

 -- Peter S Galbraith <psg@debian.org>  Thu, 16 Oct 2003 13:17:13 -0400

emacs-goodies-el (22.1-1) unstable; urgency=low

  * emacs-goodies-el:
    New upstream versions:
    - tc.el:  Version 0.13.3.
    - table.el:  Version 1.5.54.  Wow! This is a very cool package!
    - tail.el: Benjamin Drieu gave me carte blanche to hack on it, so I
      fixed a few bugs, including making it under XEmacs. Thanks to Adam
      Sjögren for reporting this bug (Closes: #164372).
    - under.el: checkdoc clean; add autoload tag; don't make global
       variables; rename underline-region to underhat-region since it
       overloaded an existing Emacs21 command.
    - htmlize.el: Bug fix "emacs-goodies-el: htmlize-* doesn't appear to
      work in TTY", thanks to Gergely Nagy for reporting it (Closes: #127943).
    - framepop.el: Don't enable it on non-window Emacs.
    Patches:
    - nuke-trailing-whitespace.el: Add custom interface support with ability
       to install into write-file-hooks.
    - protbuf.el: Add custom interface support and make interactive
       commands true toggles.
    - table.el: Add table-add-to-text-mode-hook defcustom.
    - session.el: Remove autoload tag for a defmacro.
    - setnu.el: add defface and checkdoc edits.
    Info manual:
    - documented nuke-trailing-whitespace, protbuf, protocols, services,
      setnu, sys-apropos, table, tail, thinks, tld, todoo, toggle-option,
      twiddle, under, wdired, xrdb-mode.
  * debian-el:
    New upstream versions:
    - debian-bug.el: decode ISO strings in Debian BTS for properly
      formatted Thanks in debian-changelog-mode.el.

 -- Peter S Galbraith <psg@debian.org>  Wed, 15 Oct 2003 21:55:34 -0400

emacs-goodies-el (22.0-1) unstable; urgency=low

  * Package `emacs-goodies-extra-el' now a transitional package.  Its
    contents are merged into `emacs-goodies-el'.
  * New binary package `debian-el' holds contents of old `debbugs-el' (now
    a transitional package) along with apt-sources.el and apt-utils.el
    formely from `emacs-goodies-el'.
  * New transitional package `debview' to replace old `debview' source
    package since package debian-el now holds deb-view.el.  ftp-masters,
    please see bug #214311.
  * New file in emacs-goodies-el: newsticker.el, a news ticker for Emacs.
  * New file in emacs-goodies-el: framepop.el, display temporary buffers
    in a dedicated frame.
  * New file in emacs-goodies-el: session.el, a menu to restore files
    visited in previous editing session. Thanks to Lennart Poettering for
    suggesting it (Closes: #186639).
  * Bug fix: "debian-el: debian-bug-search-file: should use dlocate when
    available", thanks to Jeff Sheinberg (Closes: #211598).  Added dlocate
    to package Recommends.
  * emacs-goodies-el: Since XEmacs has it's own version of ibuffer, make
    sure we don't shadow it.  Added its directory to load-path in
    50emacs-goodies-el.el.  Also for ibuffer: a customization variable
    (ibuffer-enable) was created to bind it to \C-x\C-b, and its
    documentation was added to the emacs-goodies-el Info.
  * emacs-goodies-el: dict.el new upstream version, merges in Debian patch.
  * emacs-goodies-el: keywiz.el new upstream version 1.4.
  * emacs-goodies-el: mutt-alis.el new upstream version 1.4. Almost
    checkdoc clean.
  * Bug fix: "emacs-goodies-el: perldoc does not work - terminal is not
    fully functional due to perldoc setting a pager", thanks to Sebastian
    Schütte for reporting and to Alan Shutko <ats@acm.org> for
    contributing the fix (Closes: #144963).
  * emacs-goodies-el: perldoc.el rewrite to get Perl function name on the
    fly from the perlfunc.pod file.
  * debian-bug.el and debian-bts-control.el: Add `sarge-ignore' and
    `fixed-upstream' tags.
  * Junichi Uekawa
  - devscripts-el: integrate upstream release (Closes: #208974).
    pbuilder-log-view.el
    pbuilder-mode.el
    devscripts.el
  - 7_devscripts-debuild-uc-us.dpatch devscripts incorporated upstream.
  - 9_missing_provide.dpatch remove part about devscripts.
  - devscripts-el: Depend on elserv.

 -- Peter S Galbraith <psg@debian.org>  Mon,  6 Oct 2003 20:16:42 -0400

emacs-goodies-el (21.12-1) unstable; urgency=low

  * emacs-goodies-el's highligh-current-line.el is now a minor-mode,
    enhanced by yours truly.  Add highlight-current-line to Info docs.
  * emacs-goodies-el's highligh-beyond-fill-column.el: upstream approved
    code cleanup.  Created `highligh-beyond-fill-column' to activate it.
    Added to Info docs.
  * emacs-goodies-el's home-end.el: Bug fix: "home-end-enable shouldn't
    unset end and home!", thanks to Jorgen Schäfer <forcer@debian.org>
    (Closes: #211859).  Add to Info docs.
  * dpkg-dev-el: setup auto-mode-alist better for README.Debian and
    copyright files.

 -- Peter S Galbraith <psg@debian.org>  Sat, 20 Sep 2003 19:49:55 -0400

emacs-goodies-el (21.11-1) unstable; urgency=low

  * dpkg-dev-el's debian-bts-control.el adds package', 'owner' and
    'noowner' commands.

 -- Peter S Galbraith <psg@debian.org>  Thu, 18 Sep 2003 22:40:53 -0400

emacs-goodies-el (21.10-1) unstable; urgency=low

  * debbugs-el's debian-bug.el: http://bugs.debian.org HTML code changed a
    bit and broke my parser.  Fixed.

 -- Peter S Galbraith <psg@debian.org>  Wed, 17 Sep 2003 20:41:19 -0400

emacs-goodies-el (21.9-1) unstable; urgency=low

  * debbugs: debian-bug-filename adds File: info to informational block in
    draft bug report.
  * debbugs, debbugs-el.emacsen-startup: Add autoload for useful
    debian-bug-get-bug-as-email.
  * dpkg-dev-el, debian-bts-control.el: debian-bts-help-control was missing!
  * Bug fix: "Merge debian-bug-filename into debian-bug command proper",
    thanks to Francesco Potorti` (Closes: #167214). (I'll do the
    `commands' from the PATH later.)
  * highlight-current-line.el: Updated to version V0.56
  * Update coffee.el to V0.3.
  * dpkg-dev-el, debian-changelog-mode.el: Added browse-url link to `Best
    Practices for debian/changelog' in menu.
  * dpkg-dev-el, readme-debian.el bug fix: write-contents-hooks needed to
    be made buffer-local explicitely in XEmacs ("Writes incorrect dates in
    changelog", thanks to Ross Burton. Closes: #211382).
  * patches/5_highlight-beyond-fill-column.dpatch: New patch to fix
    indentation and remove extra fontified space.

 -- Peter S Galbraith <psg@debian.org>  Wed, 17 Sep 2003 15:30:25 -0400

emacs-goodies-el (21.8-1) unstable; urgency=low

  * Bug fix: "debian-bug should provide help when prompting for package
    name and severity", thanks to Mathieu Roy (Closes: #200058).
  * Bug fix: "dpkg-dev-el: debian-bts-control doesn't work on emacs20",
    Don't set `debian-bts-control-verbose-prompts-flag' to t for Emacs20
    since it can't display multi-line prompts. (Closes: #208553).
  * debbugs-el: Remove dependence on package `bug' since it no longer exists.

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Sep 2003 21:19:44 -0400

emacs-goodies-el (21.7-1) unstable; urgency=low

  * Standards-Version: 3.6.1 without changes.
  * Bug fix: "dpkg-dev-el: readme-debian.el uses make-local-variable on a
    hook", thanks to Kalle Olavi Niemitalo.  Fixed upstream in
    devscripts-el-0.0.20030825 (Closes: #206993).
  * Bug fix: debian-changelog mode to support inserting bug title in
    changlog entry, such as this entry right here. Thanks to Junichi
    Uekawa (Closes: #207852).  Updated dpkg-dev-el's
    debian-changelog-mode.el and debbugs-el's debian-bug.el.

 -- Peter S Galbraith <psg@debian.org>  Tue,  2 Sep 2003 22:29:29 -0400

emacs-goodies-el (21.6-1) unstable; urgency=low

  * apt-utils.el: Updated to v1.54 (2003/06/24)
  * debian-bts-control.el: add `debian-bts-control-prompt' to Prompt for
    bug number using sensible default if found (closes: #193326).
  * Add filladapt-turn-on-mode-hooks customization.
  * ff-paths.el:  Update to V3.21
  * *.emacsen-startup: Make sure that the uncompiled files are also in the
    load-path, near the end.  This is for moving point to the code when
    view help. (closes: #189754)

 -- Peter S Galbraith <psg@debian.org>  Thu, 14 Aug 2003 22:45:06 -0400

emacs-goodies-el (21.5-1) unstable; urgency=low

  * patches/6_diminish-defcustom.dpatch: new defcustom tweaks sent
    upstream.
  * bar-cursor.el: A few tweaks also submitted upstream.
  * dirvars.el: Update to v1.2.  Add Info entry for it.
  * ff-paths.el: Fix setup defcustoms.
  * apt-utils.el: Updated to v1.54 (2003/06/22)
  * debian-copyright.el: Handle font-lock-defaults such that XEmacs
    doesn't fail on it (closes: #198601).

 -- Peter S Galbraith <psg@debian.org>  Tue, 24 Jun 2003 15:24:34 -0400

emacs-goodies-el (21.4-1) unstable; urgency=low

  * New maintainer.  Thanks for all the work getting it this far Roland!
  * dict.el: Updated to V1.27
  * Split elisp/ directory into subdirs for each binary package.
  * emacs-goodies-loaddefs.el: Generate autoloads automatically from tags.
  * Patch some upstream files to provide themseleves (closes: #197470)
  * Add customize support to df.el and document in Info.
  * ff-paths.el:  don't install itself on load.  Add a defcustom for that.
  * Add many customize groups to `emacs-goodies-el' group.

 -- Peter S Galbraith <psg@debian.org>  Tue, 17 Jun 2003 21:56:11 -0400

emacs-goodies-el (21.3-1) unstable; urgency=low

  * apt-utils.el: Updated to v1.45
  * debian-bug.el: Add `d-i', `ipv6' and `lfs' tags.
  * gnus-bonus-el.emacsen-install.in: Add directory of gnus elisp files to
    load-path during byte-compilation  (closes: #196816)
  * dpkg-dev-el.emacsen-startup: Make file named changelog.dch load
    debian-changelog-mode (closes: #196828)
  * Moved readme-debian.el from package `devscripts-el' to `dpkg-dev-el'
    such that all major modes for debian directory files are together.
  * bar-cursor.el: Edited patch sent upstream to conform the Coding
    Convention (don't enable simply by loading).
  * Added 6_diminish-defcustom.dpatch, making diminish.el configurable
    using the customize interface.  Patch sent upstream.  Also documented
    file in Info.

 -- Peter S Galbraith <psg@debian.org>  Thu, 12 Jun 2003 22:02:55 -0400

emacs-goodies-el (21.2-1) unstable; urgency=low

  * Standards-Version: 3.5.10
  * debian-bts-control.el: Add `debian-bts-control-modes-to-reuse'.
  * debian-bug.el: update to V1.42
  * Added 3_bar-cursor-customize.dpatch, making bar-cursor.el enables via
    the customize interface.  Patch submitted upstream.
  * Added 5_bar-cursor-move-defcustom.dpatch, commented out the defcustom
    which I have moved and edited into emacs-goodies-el.el.  Documented in
    Info.
  * Update clipper.el to V1.1.1.
  * Update browse-kill-ring.el to 1.2 (CVS).
  * debian-control-mode.el: Add 'checklist to debian-control-visit-policy.
  * debian-changelog-mode.el: Define (really) match-string-no-properties
    for XEmacs (closes: #195181).

 -- Peter S Galbraith <psg@debian.org>  Thu, 29 May 2003 13:40:27 -0400

emacs-goodies-el (21.1-1) unstable; urgency=low

  * 50emacs-goodies-el.el: Add :link to Info manual in
    `emacs-goodies-el-defaults' defcustom.
  * debian-bug.el: Add `confirmed' tag (for debian-bts-control.el).
  * debian/control: Added texinfo to Build-Depends-Indep for makeinfo
    (closes: #193272)
  * Updated debian-copyright.el from devscripts-el-0.0.20030521.tar.gz
  * Updated readme-debian.el from devscripts-el-0.0.20030521.tar.gz,
    patched it for font-lock on unstable's xemacs21, and to avoid the
    error on the case of no timestamp. Also try to get newlines
    surrounding the timestamp correctly.  Sent the file upstream to become
    the new upstream version.
  * devscripts-el.emacsen-install.in: Use APPEND_LOAD_PATH to load
    debian-changelog-mode.el during byte-compilation of readme-debian.el
  * Deleted 3_readme-debian-automode.dpatch and 6_readme-debian.dpatch
  * Updated services.el to upstream version CVS 1.4
  * Updated protocols.el to upstream version CVS 1.5
  * debian/control: Rephrase debian-bug.el description (closes: #193322)
  * Move most of 50emacs-goodies-el.el into a required emacs-goodies-el.el
    file, and wrap 50emacs-goodies-el.el around code testing if the
    package is really installed or possibly removed (and not purged).
    Same done for all other binary packages.
    (closes: #193367)

 -- Peter S Galbraith <psg@debian.org>  Thu, 22 May 2003 21:41:51 -0400

emacs-goodies-el (21.0-1) unstable; urgency=low

  * Rename whitespace to nuke-trailing-whitespace.el (closes: #191527)
  * Added file debian-bts-control.el to dpkg-dev-el.
  * Add `add-hook' expression to 50emacs-goodies-el.el to setup wdired to
    "r" key in dired-mode, since it can't really hurt anyway.
    (closes: #156830)
  * Update apt-sources.el to V0.9.7.
  * Updated all.el to 5.2 (1997/03/04) from
    ftp://ftp.dina.kvl.dk:/pub/Staff/Per.Abrahamsen/auctex/all.el
  * Updated auto-fill-inhibit.el to latest upstream version (defcustom
    patch that I submitted).
  * Updated htmlize.el to V0.68. Remove 5_htmlize-noninteractive.dpatch
    since it was integrated upstream.
  * Added elisp/emacs-goodies-el.texi and install it in rules file.
    (closes: #192303)
  * 50emacs-goodies-el.el: Introduce defcustom group emacs-goodies-el to
    allow full installation of packages that alter Emacs defaults.
    (closes: #190177)
  * Added debian-copyright.el CVS 1.6 from devscripts-el-0.0.20030512.tar.gz
    to dpkg-dev-el.
  * debian-changelog-mode: check if `debian-changelog-mode' is available
    as a feature, and not simply the if the autoloaded are fboundp (which
    is always true)  (closes: #193085).

 -- Peter S Galbraith <psg@debian.org>  Mon, 12 May 2003 20:33:15 -0400

emacs-goodies-el (20.0-1) unstable; urgency=low

  * Make sure I include patches in debian diff.  The last upload was built
    without applying them! (closes: #191763)
  * Added apt-utils.el to emacs-goodies-el package (closes: #169726)

 -- Peter S Galbraith <psg@debian.org>  Mon,  5 May 2003 20:59:17 -0400

emacs-goodies-el (19.5-1) unstable; urgency=low

  * debian-changelog-mode.el: defcustom added for debian-changelog-mode-hook
   (closes: #190853).
  * debian-bug.el: new upstream version.
  * debian-changelog-mode.el: debian-changelog-add-version creates new
    version in empty file (closes: #191285).
  * xrdb-mode.el: New upstream version added font-lock-defaults for Emacs
    (closes: #166874)
  * No longer depend on emacsen-common, which forced it's very verbose
    byte-compilation.  Also output byte-compilation verbiage to a tempfile.
    (closes: #185703)

 -- Peter S Galbraith <psg@debian.org>  Wed, 30 Apr 2003 22:40:40 -0400

emacs-goodies-el (19.4-1) unstable; urgency=low

  * debian-bug.el: Revert `send bug report to maintonly if priority wishlist or
    minor change'.
  * debian-bug.el: New buffer-local variable `debian-bug-open-alist' for
    open bugs.  New actions in Bugs list menu: can now read bug reports
    as Email!
  * debian-changelog-mode.el: Use `debian-bug-open-alist'.
  * debian/control: dpkg-dev-el depends on debbugs-el (>= 19.4-1) for
    `debian-bug-open-alist' and Email reading.
  * debian-bug.el: Use executable-find.  Patch contributed by Romain FRANCOISE
    <romain@orebokech.com> (closes: #189605).
  * debian-bug.el (debian-bug): always build package list (closes: #186338)
  * ff-paths.el: updated to V3.19
  * debian/emacsen-install.template: Use --no-site-file during
    installation byte-compilation.

 -- Peter S Galbraith <psg@debian.org>  Tue, 22 Apr 2003 12:53:01 -0400

emacs-goodies-el (19.3-1) unstable; urgency=low

  * New upstream release for ff-paths.el (V3.18).
  * Add Uploaders field for Peter Galbraith.
  * debian-bug.el: send bug report to maintonly if priority wishlist or
    minor (closes: #176429)

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Apr 2003 21:05:43 -0400

emacs-goodies-el (19.2-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.35) (closes: #173040,
    #184954).

 -- Roland Mas <lolando@debian.org>  Fri, 28 Mar 2003 13:19:47 +0100

emacs-goodies-el (19.1-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.35).

 -- Roland Mas <lolando@debian.org>  Wed, 19 Mar 2003 22:33:55 +0100

emacs-goodies-el (19-3) unstable; urgency=low

  * Patch #7_devscripts-debuild-uc-us: the arguments to debuild need to be
    in separate strings (closes: #185154) (yes, again).

 -- Roland Mas <lolando@debian.org>  Wed, 19 Mar 2003 22:05:10 +0100

emacs-goodies-el (19-2) unstable; urgency=low

  * Patch #5_htmlize-noninteractive: fix htmlize.el in non-interactive
    mode thanks to Junichi Uekawa's patch (closes: #166587).
  * Patch #6_readme-debian: fix readme-debian.el failing to load some
    README.Debian files thanks to James LewisMoss's patch (closes:
    #167575).
  * Favor reportbug over bug (closes: #184020).
  * Patch #4_dict-pager: invoke with appropriate pager options (closes:
    #174661).
  * Patch #7_devscripts-debuild-uc-us: invoke debuild with "-uc -us"
    parameters, so as not to ask for a passphrase (closes: #185154).

 -- Roland Mas <lolando@debian.org>  Wed, 19 Mar 2003 15:28:25 +0100

emacs-goodies-el (19-1) unstable; urgency=low

  * Now using dpatch to apply patches at build time.  Much better than the
    previous hand-made system.
  * Patch #4_dict-pager: dict.el patched to invoke dict with --pager
    (closes: #174661).
  * Removed nnmaildir.el, now included in Gnus (closes: #154396).

 -- Roland Mas <lolando@debian.org>  Wed, 19 Feb 2003 13:46:08 +0100

emacs-goodies-el (18.2-1) unstable; urgency=low

  * Fix autoload for dict.el (closes: #173143).
  * Made README.Debian more explicit: it documents all files, not just the
    ones in emacs-goodies-el (closes: #172335).
  * New upstream release for debian-bug.el (1.34) (closes: #168811).
  * Bumped Standards-Version to 3.5.8.

 -- Roland Mas <lolando@debian.org>  Tue, 17 Dec 2002 19:30:10 +0100

emacs-goodies-el (18.1-2) unstable; urgency=low

  * Changing sections to resolve override disparity.
  * Explicitly use the Bash shebang, since the installation scripts use
    bashisms (closes: #166310).
  * Fix load-path for dpkg-dev-el (closes: #166586).

 -- Roland Mas <lolando@debian.org>  Tue, 12 Nov 2002 20:05:48 +0100

emacs-goodies-el (18.1-1) unstable; urgency=low

  * New upstream release for thinks.el (1.8).
  * New upstream release for debian-changelog-mode.el (1.66) adds new
    distribution (closes: #166163).

 -- Roland Mas <lolando@debian.org>  Thu, 24 Oct 2002 18:34:22 +0200

emacs-goodies-el (18-1) unstable; urgency=low

  * New binary package: devscripts-el.  It currently includes
    devscripts.el and readme-debian.el, both at version 0.0.20021016.
  * Also changed the build process a bit: *.emacsen-install and
    *.emacsen-remove files are now built from *.in files.  Since most of
    the files are identical save for the package name and a few other
    variables at the beginning, let's put that shared code into a separate
    unique file.
  * Added sys-apropos.el (no version, taken at 2002-10-17).
  * New packages merged in: debbugs-el and dpkg-dev-el.  That should be
    all for now.  The previous changelogs are included at the bottom of
    this file.  Search for "8-merged-debbugs-el" or "3-merged-dpkg-dev-el"
    to get to their beginnings.

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2002 15:12:37 +0200

emacs-goodies-el (17-1) unstable; urgency=low

  * Merged the emacs-goodies-el and gnus-bonus-el source packages into one
    (named emacs-goodies-el).
  * The changelog of what happened to the gnus-goodies-el package before
    this merger happened is kept for reference at the bottom of this
    changelog file.  Search for the "4-merged-gnus-bonus-el" string to get
    to its beginning.
  * While I was at it, I created a new package, emacs-goodies-extra-el, so
    that interesting files with extra dependencies can still be included.
    Beware, this package is likely to have a growing list of dependencies.
    But that also means that I'm going to start accepting files with
    external dependencies into this source package (under the condition
    that they be available as Debian packages in the "main" section).
  * emacs-goodies-extra-el: added dict.el (1.25).

 -- Roland Mas <lolando@debian.org>  Mon, 14 Oct 2002 21:17:10 +0200

emacs-goodies-el (16.1-1) unstable; urgency=low

  * New upstream release for boxquote.el (1.16) (closes: #163834).
  * New upstream release for wdired.el (1.9.2pre2) (closes: #161157).
  * Fixed the auto-mode for xrdb-mode.el (closes: #161563).

 -- Roland Mas <lolando@debian.org>  Wed,  9 Oct 2002 13:55:22 +0200

emacs-goodies-el (16-1) unstable; urgency=low

  * Added home-end.el (2002-07-12) (closes: #152725), with proposed
    patch.
  * Added xrdb-mode.el (2.28) (closes: #154039).
  * Added map-lines.el (0.1).
  * Also cleaned up the patching system a bit.

 -- Roland Mas <lolando@debian.org>  Fri, 13 Sep 2002 17:05:51 +0200

emacs-goodies-el (15.1-1) unstable; urgency=low

  * Bumped Standards-Version to 3.5.7.
  * Sorted the list of files in the package description (closes: #160017).
  * New upstream release for muttrc-mode.el (2.5).
  * Started using a (very) light patching system.  First patch is
    500muttrc-manual, so that the file that muttrc-mode.el opens actually
    exists (closes: #158571).
  * Also cleaned debian/rules a bit.

 -- Roland Mas <lolando@debian.org>  Mon,  9 Sep 2002 19:40:19 +0200

emacs-goodies-el (15-1) unstable; urgency=low

  * Added muttrc-mode.el (2.4) (closes: #146780).
  * Added ibuffer.el (2.6) (closes: #134086).
  * Fixed emacsen-install script again (closes: #158480).

 -- Roland Mas <lolando@debian.org>  Tue, 27 Aug 2002 20:19:24 +0200

emacs-goodies-el (14-2) unstable; urgency=low

  * Depend on a recent bash, since we use features not available in old
    ones.
  * Also fixed the emacs-goodies-el.emacsen-install script so that it
    won't forget files that are excluded in other flavours than the
    current one (closes: #149921).

 -- Roland Mas <lolando@debian.org>  Mon, 26 Aug 2002 13:46:01 +0200

emacs-goodies-el (14-1) unstable; urgency=low

  * The "Elmo owes me one" release.
  * Added apt-sources.el (0.9.5).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Aug 2002 13:37:56 +0200

emacs-goodies-el (13-1) unstable; urgency=low

  * Added tc.el (0.12.3) (closes: #122243).
  * New upstream release for keywiz.el (1.2).
  * New upstream release for browse-kill-ring.el (1.0).
  * New upstream release for boxquote.el (1.8).

 -- Roland Mas <lolando@debian.org>  Thu,  2 May 2002 14:01:00 +0200

emacs-goodies-el (12.1-1) unstable; urgency=low

  * New upstream release for boxquote.el (1.7).

 -- Roland Mas <lolando@debian.org>  Fri, 19 Apr 2002 19:07:15 +0200

emacs-goodies-el (12-1) unstable; urgency=low

  * Added keywiz.el (1.1) (closes: #143072).
  * Added table.el (1.5.48) (closes: #124119).

 -- Roland Mas <lolando@debian.org>  Fri, 19 Apr 2002 18:53:54 +0200

emacs-goodies-el (11-2) unstable; urgency=low

  * Excluded todoo.el from Xemacs 21.

 -- Roland Mas <lolando@debian.org>  Wed, 17 Apr 2002 14:00:29 +0200

emacs-goodies-el (11-1) unstable; urgency=low

  * Added all.el (0.0), toggle-option.el (1.0), todoo.el (1.2),
    cyclebuffer.el (1.2).

 -- Roland Mas <lolando@debian.org>  Tue, 16 Apr 2002 19:33:07 +0200

emacs-goodies-el (10-3) unstable; urgency=low

  * Fixed emacsen-install script (closes: #134778).  It's a bashism, but
    I'm too lazy to POSIXise it (I'm not even sure it can be POSIXised),
    so I just change the shebang.

 -- Roland Mas <lolando@debian.org>  Thu, 21 Feb 2002 18:47:25 +0100

emacs-goodies-el (10-2) unstable; urgency=low

  * Fixed README.Debian to mention the problem with Emacs 21 and
    whitespace.el.

 -- Roland Mas <lolando@debian.org>  Mon, 18 Feb 2002 13:12:38 +0100

emacs-goodies-el (10-1) unstable; urgency=low

  * Added ff-paths.el (3.17), dirvars.el (1.0), perldoc.el (1.1).
  * Patched emacsen-install to support flavor-dependent lists of files to
    include/exclude.
  * Use debian-pkg-add-load-path-item if available.
  * Renamed (with wdired and rect ;-) the debian/emacsen-* files into
    debian/emacs-goodies-el.emacsen-*.  Because I can, and also because of
    a Secret Plan I have.
  * Disabled whitespace.el for Emacs 21 (closes: #133014).  I'd like to
    find a better solution fot this, but I haven't thought of it yet.

 -- Roland Mas <lolando@debian.org>  Mon, 18 Feb 2002 12:55:51 +0100

emacs-goodies-el (9-1) unstable; urgency=low

  * Added highlight-current-line.el (0.5), align-string.el (0.1) (closes:
    #113283), diminish.el (0.44), htmlize.el (0.62) and keydef.el (1.16).

 -- Roland Mas <lolando@debian.org>  Fri,  4 Jan 2002 21:10:06 +0100

emacs-goodies-el (8-2) unstable; urgency=low

  * Fixed speling error in Description: field (closes: #124598).

 -- Roland Mas <lolando@debian.org>  Tue, 18 Dec 2001 10:11:42 +0100

emacs-goodies-el (8-1) unstable; urgency=low

  * Added under.el (1.2).

 -- Roland Mas <lolando@debian.org>  Fri,  7 Dec 2001 22:50:20 +0100

emacs-goodies-el (7.1-1) unstable; urgency=low

  * New upstream release for egocentric.el (1.1).
  * New upstream release for df.el (1.8) (closes: #122805).

 -- Roland Mas <lolando@debian.org>  Fri,  7 Dec 2001 21:48:22 +0100

emacs-goodies-el (7-1) unstable; urgency=low

  * Added toggle-case.el (1.4), tail.el (1.1), df.el (1.7), egocentric.el
    (not versioned, taken on 2001-12-04) and initsplit.el (1.6).

 -- Roland Mas <lolando@debian.org>  Wed,  5 Dec 2001 22:44:17 +0100

emacs-goodies-el (6-2) unstable; urgency=low

  * Fixed README.Debian to document the recent apparition of
    highlight-beyond-fill-column.el.

 -- Roland Mas <lolando@debian.org>  Thu, 29 Nov 2001 21:54:30 +0100

emacs-goodies-el (6-1) unstable; urgency=low

  * Added highlight-beyond-fill-column.el (1.1).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Nov 2001 22:55:35 +0100

emacs-goodies-el (5.1-1) unstable; urgency=low

  * New upstream release for wdired.el (1.91).

 -- Roland Mas <lolando@debian.org>  Mon, 19 Nov 2001 14:44:35 +0100

emacs-goodies-el (5-1) unstable; urgency=low

  * Added wdired.el (1.9), floatbg.el (0.5), clipper.el (1.1.0),
    projects.el, auto-fill-inhibit.el (20011114).

 -- Roland Mas <lolando@debian.org>  Sat, 17 Nov 2001 17:33:49 +0100

emacs-goodies-el (4-3) unstable; urgency=low

  * debian/emacsen-startup: fix typo (closes: #116855).

 -- Roland Mas <lolando@debian.org>  Wed, 24 Oct 2001 09:19:17 +0200

emacs-goodies-el (4-2) unstable; urgency=low

  * debian/control: changed Description: field to reflect the recent
    additions.

 -- Roland Mas <lolando@debian.org>  Mon, 22 Oct 2001 11:33:32 +0200

emacs-goodies-el (4-1) unstable; urgency=low

  * Added filladapt.el (2.12) (closes: #111383), setnu.el (1.06).
  * debian/control: changed Build-Depends: to Build-Depends-Indep:.

 -- Roland Mas <lolando@debian.org>  Sun, 21 Oct 2001 16:15:15 +0200

emacs-goodies-el (3.1-2) unstable; urgency=low

  * Changed debian/control formatting (closes: #110053).

 -- Roland Mas <lolando@debian.org>  Sun,  9 Sep 2001 18:34:21 +0200

emacs-goodies-el (3.1-1) unstable; urgency=low

  * Upgraded browse-kill-ring.el to 0.9.

 -- Roland Mas <lolando@debian.org>  Mon, 27 Aug 2001 18:53:32 +0200

emacs-goodies-el (3-1) unstable; urgency=low

  * Added browse-kill-ring.el (0.8), coffee.el (0.2), twiddle.el (1.3),
    whitespace.el (1.9), silly-mail.el (1.22), obfusurl.el (1.5),
    toggle-buffer.el (1.1), mutt-alias.el (1.2), protbuf.el (1.7).

 -- Roland Mas <lolando@debian.org>  Fri, 24 Aug 2001 18:10:38 +0200

emacs-goodies-el (2.0-2) unstable; urgency=low

  * Fixed package description in the control file.

 -- Roland Mas <lolando@debian.org>  Thu, 23 Aug 2001 17:27:02 +0200

emacs-goodies-el (2.0-1) unstable; urgency=low

  * Added bar-cursor.el (1.1), tld.el (1.3), services.el (1.2),
    protocols.el (1.3) and highlight-completion.el (0.06).

 -- Roland Mas <lolando@debian.org>  Thu, 23 Aug 2001 12:27:51 +0200

emacs-goodies-el (1.0-1) unstable; urgency=low

  * Initial Release.
  * Contents: boxquote.el (1.6) and thinks.el (1.6).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Aug 2001 22:09:45 +0200

gnus-bonus-el (4-merged-gnus-bonus-el) unstable; urgency=low

  * This is the version that never happened.  The gnus-bonus-el source
    package was merged into emacs-goodies version 17.  They still generate
    different binary packages, though.  The following changelog entries
    (down there in this file) are only here for reference.

 -- Roland Mas <lolando@debian.org>  Sun, 13 Oct 2002 23:17:45 +0200

gnus-bonus-el (3.1-1) unstable; urgency=low

  * New upstream version for spam-stat.el (0.1.0).
  * Bumped Standards-Version to 3.5.7.

 -- Roland Mas <lolando@debian.org>  Fri,  6 Sep 2002 18:31:21 +0200

gnus-bonus-el (3-1) unstable; urgency=low

  * Added spam-stat.el (0.0.4) and gnus-outlook-deuglify.el (1.2).

 -- Roland Mas <lolando@debian.org>  Mon, 26 Aug 2002 22:51:50 +0200

gnus-bonus-el (2-3) unstable; urgency=low

  * Applied patch from Michael Hummel <mhummel@debian.org> to fix nnir.el
    with respect to swish++ (closes: #133278).

 -- Roland Mas <lolando@debian.org>  Thu,  7 Mar 2002 13:12:21 +0100

gnus-bonus-el (2-2) unstable; urgency=low

  * Changed Depends: field so that the gnus package is not required (since
    Gnus is included in the emacs21, emacs20 and xemacs21 packages)
    (closes: #127792).

 -- Roland Mas <lolando@debian.org>  Fri,  4 Jan 2002 18:28:49 +0100

gnus-bonus-el (2-1) unstable; urgency=low

  * Added nnir.el (1.73), nnmaildir.el (2001.09.11).

 -- Roland Mas <lolando@debian.org>  Sat, 15 Dec 2001 21:01:50 +0100

gnus-bonus-el (1-1) unstable; urgency=low

  * Initial Release.
  * Contents: gnus-junk.el (0.23), nnnil.el (not versioned, taken at
    2001-12-04), nntodo.el (1.1), mesage-x.el (1.23).

 -- Roland Mas <lolando@debian.org>  Tue,  4 Dec 2001 14:17:50 +0100

debbugs-el (8-merged-debbugs-el) unstable; urgency=low

  * This is the version that never happened.  The debbugs-el source
    package was merged into emacs-goodies-el version 18.  They still
    generate different binary packages, though.  The following changelog
    entries (down there in this file) are only here for reference.

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2002 15:11:56 +0200

debbugs-el (7.12-1) unstable; urgency=low

  * New upstream version for debian-bug.el (1.33) allows the menus to be
    split according to severity (closes: #161155).
  * Bumped DH_COMPAT to 4.

 -- Roland Mas <lolando@debian.org>  Wed,  2 Oct 2002 13:50:53 +0200

debbugs-el (7.11-1) unstable; urgency=low

  * New upstream version for debian-bug.el (1.32) fixes several bugs
    (closes: #159625, #160750).

 -- Roland Mas <lolando@debian.org>  Fri, 13 Sep 2002 17:14:19 +0200

debbugs-el (7.10-4) unstable; urgency=low

  * Fixed the fix in 7.10-3.  The flavour-independent component is needed,
    only I have to make it lower priority than the flavour-dependent
    component (closes: #159624).
  * Versioned Depends: on emacsen-common, so that we can get rid of the
    old compatibility code in the emacsen-startup file.
  * Bumped Standards-Version to 3.5.7.

 -- Roland Mas <lolando@debian.org>  Mon,  9 Sep 2002 13:32:55 +0200

debbugs-el (7.10-3) unstable; urgency=low

  * Fixed the load-path fiddling, so that the byte-compiled *.elc files
    are used instead of the non-compiled *.el files (closes: #159624).

 -- Roland Mas <lolando@debian.org>  Fri,  6 Sep 2002 13:38:03 +0200

debbugs-el (7.10-2) unstable; urgency=low

  * Force compression of the compilation log, to allow for non-interactive
    installation (closes: #157798).

 -- Roland Mas <lolando@debian.org>  Thu, 22 Aug 2002 12:48:42 +0200

debbugs-el (7.10-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.31) fixes several bugs
    (closes: #117036, #156297, #156391).

 -- Roland Mas <lolando@debian.org>  Tue, 20 Aug 2002 14:27:41 +0200

debbugs-el (7.9-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.27) (closes: #151717).
  * Slightly patched gnus-BTS.el to allow other Elisp programs to
    "require" it (closes: #151718).

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jul 2002 12:20:10 +0200

debbugs-el (7.8-3) unstable; urgency=low

  * Cosmetic changes to installation (closes: #124056).

 -- Roland Mas <lolando@debian.org>  Tue,  9 Apr 2002 14:25:55 +0200

debbugs-el (7.8-2) unstable; urgency=low

  * Changed the way I call debian-pkg-add-load-path-item, since it doesn't
    change the contents of the load-path variable as I thought it did
    (closes: #134392).

 -- Roland Mas <lolando@debian.org>  Sun, 17 Feb 2002 21:22:03 +0100

debbugs-el (7.8-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.26).
  * Use debian-pkg-add-load-path-item if available.
  * Wrapped the .emacsen-startup file into a test for the installedness of
    the package, to prevent nasty stuff from happening when the package is
    uninstalled but not purged (closes: #134096).

 -- Roland Mas <lolando@debian.org>  Fri, 15 Feb 2002 21:26:18 +0100

debbugs-el (7.7-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.23).
  * This release uses a new feature of reportbug, hence the versioned
    Depends: field.  (closes: #122032).

 -- Roland Mas <lolando@debian.org>  Fri, 14 Dec 2001 13:58:38 +0100

debbugs-el (7.6-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.22) (closes: #122033,
    #121932, #123476).
  * Also fixed the autoload docstring for #121932.

 -- Roland Mas <lolando@debian.org>  Wed, 12 Dec 2001 12:22:25 +0100

debbugs-el (7.5-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.19) (closes: #117976,
    #117855, #117842).

 -- Roland Mas <lolando@debian.org>  Thu,  8 Nov 2001 18:50:03 +0100

debbugs-el (7.4-1) unstable; urgency=low

  * ACK NMU by Peter (closes: #111615).
  * New upstream version for debian-bug.el (1.17) (closes: #111332).

 -- Roland Mas <lolando@debian.org>  Sun, 21 Oct 2001 14:32:01 +0200

debbugs-el (7.3-1) unstable; urgency=low

  * NMU by debian-bug.el upstream maintainer (Roland is on vacation).
  * New upstream release for debian-bug.el (1.16).
  - Includes template for ITP/RPC bugs lifted from reportbug (closes: #111615).
  - Work around bug #111331 (function font-lock-add-keywords doesn't exist
    in XEmacs) temporarily.  There's no fontification in XEmacs, but at
    least the code loads.  I'll close the bug when it's actually fixed.

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Sep 2001 16:18:07 -0400

debbugs-el (7.2-2) unstable; urgency=low

  * Removed version numbers from package description.

 -- Roland Mas <lolando@debian.org>  Thu, 16 Aug 2001 16:46:02 +0200

debbugs-el (7.2-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.15).
  * 1.14 release also increased consistency in function naming scheme
    (closes: #108808).
  * Now Recommends: wget.

 -- Roland Mas <lolando@debian.org>  Thu, 16 Aug 2001 11:43:45 +0200

debbugs-el (7.1-1) unstable; urgency=low

  * New upstream release for debian-bug.el (1.13).
  * Changed Depends: line (closes: #108804).

 -- Roland Mas <lolando@debian.org>  Wed, 15 Aug 2001 18:56:01 +0200

debbugs-el (7.0-1) unstable; urgency=low

  * Changed numbering scheme: major will change when adding or removing
    files to this package; minor will change when these files have a new
    upstream release; Debian revision is for packaging only.
  * deban-bug.el: new upstream release 1.12 (new upstream maintainer is
    Peter S Galbraith <psg@debian.org>).
  * Added autoloads for debian-bug.el.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Aug 2001 09:41:50 +0200

debbugs-el (6) unstable; urgency=low

  * gnus-BTS.el: made the regexps that recognise a Debian group a bit more
    permissive.
  * debian-bug.el: mark the bug reporting buffer as non-modified after
    initialisation (Toby Speight <streapadair@gmx.net>) (closes: #95372).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2001 18:07:05 +0200

debbugs-el (5) unstable; urgency=low

  * Fixed load-path problem for gnus-BTS.el (closes: #93334).

 -- Roland Mas <lolando@debian.org>  Sat, 21 Apr 2001 17:12:56 +0200

debbugs-el (4) unstable; urgency=low

  * Removed compilation of gnus-BTS.el to avoid undefined problems with
    undefined macros. (closes: #89838)

 -- Roland Mas <lolando@debian.org>  Fri, 30 Mar 2001 18:36:00 +0200

debbugs-el (3) unstable; urgency=low

  * Added Depends: bug to control file (closes: #89357)

 -- Roland Mas <lolando@debian.org>  Mon, 12 Mar 2001 20:20:35 +0100

debbugs-el (2) unstable; urgency=low

  * New upstream release for gnus-BTS.el: copyright assignment is changed,
    Xemacs dependency is dead, more BTS keywords, regex cleanup,
    etc. (closes: #88294).

 -- Roland Mas <lolando@debian.org>  Sun, 11 Mar 2001 19:27:16 +0100

debbugs-el (1) unstable; urgency=low

  * Initial Release.
  * Includes debian-bug.el and gnus-BTS.el (closes: #85883, #85974).

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2001 20:57:06 +0100

dpkg-dev-el (3-merged-dpkg-dev-el) unstable; urgency=low

  * This is the version that never happened.  The dpkg-dev-el source
    package was merged into emacs-goodies-el version 18.  They still
    generate different binary packages, though.  The following changelog
    entries (down there in this file) are only here for reference.

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2002 15:11:56 +0200

dpkg-dev-el (2.9-1) unstable; urgency=low

  * New upstream version for debian-changelog-mode.el (1.65).
  * Bumped Standards-Version to 3.5.7.

 -- Roland Mas <lolando@debian.org>  Fri,  6 Sep 2002 16:24:28 +0200

dpkg-dev-el (2.8-1) unstable; urgency=low

  * New upstream version for debian-changelog-mode.el (1.64), fixes
    several bugs (closes: #159041, #159643).

 -- Roland Mas <lolando@debian.org>  Fri,  6 Sep 2002 08:56:29 +0200

dpkg-dev-el (2.7-2) unstable; urgency=low

  * Changed the load-path used at install time, to fix installation
    problem on Xemacs (closes: #157811).

 -- Roland Mas <lolando@debian.org>  Thu, 22 Aug 2002 15:38:07 +0200

dpkg-dev-el (2.7-1) unstable; urgency=low

  * Now depends on debbugs-el.
  * New upstream version for debian-changelog-mode.el (1.62) fixes several
    bugs (closes: #113964, #156762).

 -- Roland Mas <lolando@debian.org>  Wed, 21 Aug 2002 09:33:27 +0200

dpkg-dev-el (2.6-1) unstable; urgency=low

  * New upstream release for debian-changelog-mode.el (1.57) (closes: #154747).

 -- Roland Mas <lolando@debian.org>  Tue, 30 Jul 2002 08:40:12 +0200

dpkg-dev-el (2.5-1) unstable; urgency=low

  * New upstream release for debian-changelog-mode.el (1.56) (closes: #153982).

 -- Roland Mas <lolando@debian.org>  Thu, 25 Jul 2002 17:09:15 +0200

dpkg-dev-el (2.4-1) unstable; urgency=low

  * The "Yeah, I know I'm late" release.
  * Acknowledging the NMU.  Thanks, Colin.
  * New upstream release for debian-changelog-mode.el (1.55) (closes: #146583)

 -- Roland Mas <lolando@debian.org>  Mon, 15 Jul 2002 13:57:45 +0200

dpkg-dev-el (2.3-1) unstable; urgency=medium

  * NMU
  * New upstream release for debian-control-mode.el (0.4).

 -- Colin Walters <walters@debian.org>  Fri, 31 May 2002 16:15:50 -0400

dpkg-dev-el (2.2-2) unstable; urgency=low

  * Changed the way I call debian-pkg-add-load-path-item, since it doesn't
    change the contents of the load-path variable as I thought it did.

 -- Roland Mas <lolando@debian.org>  Sun, 17 Feb 2002 21:51:29 +0100

dpkg-dev-el (2.2-1) unstable; urgency=low

  * New upstream release for debian-control-mode.el (0.3).
  * New upstream release for debian-changelog-mode (1.52).
  * Use debian-pkg-add-load-path-item if available.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Feb 2002 22:53:20 +0100

dpkg-dev-el (2.1-1) unstable; urgency=low

  * New upstream (bugfix) release for debian-control-mode.el (0.2).

 -- Roland Mas <lolando@debian.org>  Mon,  3 Dec 2001 13:51:48 +0100

dpkg-dev-el (2-1) unstable; urgency=low

  * Added debian-control-mode.el (0.1) (closes: #121690).  Cool, that
    means I was right in calling the package dpkg-dev-el and not just
    debian-changelog-mode-el.
  * Changed numbering scheme, see README.Debian.
  * Also added magic in emacsen-startup so that emacsen-startup files load
    in Emacs Lisp mode, as they should, and no more in Fundamental mode.
  * New upstream release for debian-changelog-mode.el (1.50).

 -- Roland Mas <lolando@debian.org>  Fri, 30 Nov 2001 11:00:25 +0100

dpkg-dev-el (1.49-1) unstable; urgency=low

  * New upstream release.
  * Fiddled with debian/control a bit.

 -- Roland Mas <lolando@debian.org>  Thu, 22 Nov 2001 19:01:24 +0100

dpkg-dev-el (1.48-1) unstable; urgency=low

  * NMU by upstream author (Roland is on vacation).
  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 19 Sep 2001 11:38:59 -0400

dpkg-dev-el (1.47-2) unstable; urgency=low

  * Added the appropriate load-path (closes: #111702).

 -- Roland Mas <lolando@debian.org>  Sun,  9 Sep 2001 18:36:53 +0200

dpkg-dev-el (1.47-1) unstable; urgency=low

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Aug 2001 21:02:43 +0200

dpkg-dev-el (1.46-1) unstable; urgency=low

  * New upstream release.
  * Fix font-lock code (closes: #108809).
  * New feature requires a Recommends: wget.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Aug 2001 19:38:04 +0200

dpkg-dev-el (1.44-2) unstable; urgency=low

  * Minor copyright tweaks.

 -- Roland Mas <lolando@debian.org>  Sun,  5 Aug 2001 17:49:37 +0200

dpkg-dev-el (1.44-1) unstable; urgency=low

  * New upstream release.
  * Added autoloads for the debian-changelog-web-* functions (except for
    d-c-w-this-bug-under-mouse).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Jul 2001 18:55:48 +0200

dpkg-dev-el (1.43-1) unstable; urgency=low

  * New upstream release.
  * Updated to policy 3.5.6.0.
  * Added hook to find-file-hooks to switch to debian-changelog-mode for
    files that look like some Debian changelog, even if that can't be
    decided from the file name (closes: #105889).

 -- Roland Mas <lolando@debian.org>  Thu, 26 Jul 2001 10:00:35 +0200

dpkg-dev-el (1.42-1) unstable; urgency=low

  * New upstream release (closes: #102088).

 -- Roland Mas <lolando@debian.org>  Thu, 12 Jul 2001 13:39:08 +0200

dpkg-dev-el (1.40-1) unstable; urgency=low

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 27 Jun 2001 09:49:22 +0200

dpkg-dev-el (1.39-1) unstable; urgency=low

  * New upstream release (closes: #100639).

 -- Roland Mas <lolando@debian.org>  Fri, 15 Jun 2001 09:51:39 +0200

dpkg-dev-el (1.37-1) unstable; urgency=low

  * New upstream release (closes: #100162).

 -- Roland Mas <lolando@debian.org>  Tue, 12 Jun 2001 09:45:11 +0200

dpkg-dev-el (1.34-1) unstable; urgency=low

  * New upstream release (closes: #99051).

 -- Roland Mas <lolando@debian.org>  Tue, 29 May 2001 18:08:43 +0200

dpkg-dev-el (1.33-1) unstable; urgency=low

  * New upstream release.  Should fix problems with Xemacs.  Yes, again.

 -- Roland Mas <lolando@debian.org>  Tue, 29 May 2001 15:53:59 +0200

dpkg-dev-el (1.32-1) unstable; urgency=low

  * New upstream release.  Should fix problems with Xemacs.
  * The "Not another shrubbery!" release.

 -- Roland Mas <lolando@debian.org>  Tue, 29 May 2001 09:30:56 +0200

dpkg-dev-el (1.31-1) unstable; urgency=low

  * New upstream release (closes: #98577).

 -- Roland Mas <lolando@debian.org>  Mon, 28 May 2001 19:00:36 +0200

dpkg-dev-el (1.30-1) unstable; urgency=low

  * New upstream release.
  * Default to the same distribution as the previous release, as requested
    (closes: #96260).

 -- Roland Mas <lolando@debian.org>  Wed,  9 May 2001 21:47:05 +0200

dpkg-dev-el (1.24-1) unstable; urgency=low

  * New upstream release.
  * The "I'm going to start a strike" release.

 -- Roland Mas <lolando@debian.org>  Thu,  3 May 2001 19:20:17 +0200

dpkg-dev-el (1.23-1) unstable; urgency=low

  * New upstream release.
  * The "there, see what happens?" release.

 -- Roland Mas <lolando@debian.org>  Thu,  3 May 2001 13:00:06 +0200

dpkg-dev-el (1.22-1) unstable; urgency=low

  * The "would someone please slow him down?" release.
  * New upstream release.  Yes, *again* :-)

 -- Roland Mas <lolando@debian.org>  Wed,  2 May 2001 19:34:05 +0200

dpkg-dev-el (1.19-1) unstable; urgency=low

  * New upstream releases seem to pop up faster than I can track them.
    This one is 1.19 (closes: #95831).
  * Fix the startup script (yes, again) (closes: #95830).

 -- Roland Mas <lolando@debian.org>  Wed,  2 May 2001 14:08:01 +0200

dpkg-dev-el (1.13-1) unstable; urgency=low

  * New upstream release.
  * Less flashy colouring (closes: #93243).
  * Less verbosity during byte-compilation (closes: #95347).
  * Some fixes in the startup script (closes: #95348).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2001 20:12:57 +0200

dpkg-dev-el (1.10-1) unstable; urgency=low

  * New upstream release.
  * Fix number suggestion scheme (closes: #88245, #88589).
  * add-log-mailing-address is now (since 1.06 in fact)
    debian-changelog-mailing-address (closes: #89208).

 -- Roland Mas <lolando@debian.org>  Sun, 11 Mar 2001 18:33:11 +0100

dpkg-dev-el (1.07-1) unstable; urgency=low

  * New upstream release.
  * Handle epochs correctly (closes: #87964).
  * Make lintian happy.

 -- Roland Mas <lolando@debian.org>  Wed, 28 Feb 2001 17:24:38 +0100

dpkg-dev-el (1.05-1) unstable; urgency=low

  * New upstream release.  Closes: #85412.

 -- Roland Mas <lolando@debian.org>  Mon, 26 Feb 2001 09:38:34 +0100

dpkg-dev-el (1.01-4) unstable; urgency=low

  * Changed Description: field again (Closes: #85413).

 -- Roland Mas <lolando@debian.org>  Sat, 10 Feb 2001 14:19:34 +0100

dpkg-dev-el (1.01-3) unstable; urgency=low

  * Changed Description: field and maintainer address.

 -- Roland Mas <lolando@debian.org>  Wed, 24 Jan 2001 12:55:53 +0100

dpkg-dev-el (1.01-2) unstable; urgency=low

  * Changed Depends: to Suggests:

 -- Roland Mas <99.roland.mas@aist.enst.fr>  Tue,  9 Jan 2001 09:54:34 +0100

dpkg-dev-el (1.01-1) unstable; urgency=low

  * Initial Release.

 -- Roland Mas <99.roland.mas@aist.enst.fr>  Fri, 22 Dec 2000 14:09:40 +0100
